'use strict';

exports.BattleFormatsData = {
	bulbasaur: {
		inherit: true,
		randomBattleMoves: ["sleeppowder", "gigadrain", "hiddenpowerfire", "hiddenpowerice", "sludgebomb", "powerwhip", "leechseed", "synthesis"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	ivysaur: {
		randomBattleMoves: ["sleeppowder", "gigadrain", "hiddenpowerfire", "hiddenpowerice", "sludgebomb", "powerwhip", "leechseed", "synthesis"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	venusaur: {
		randomBattleMoves: ["sleeppowder", "gigadrain", "hiddenpowerfire", "hiddenpowerice", "sludgebomb", "swordsdance", "powerwhip", "leechseed", "synthesis", "earthquake"],
		maleOnlyHidden: true,
		tier: "OU",
	},
	charmander: {
		inherit: true,
		randomBattleMoves: ["flamethrower", "overheat", "dragonpulse", "hiddenpowergrass", "fireblast"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	charmeleon: {
		randomBattleMoves: ["flamethrower", "overheat", "dragonpulse", "hiddenpowergrass", "fireblast"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	charizard: {
		inherit: true,
		randomBattleMoves: ["flamethrower", "fireblast", "substitute", "airslash", "dragonpulse", "hiddenpowergrass", "roost"],
		maleOnlyHidden: true,
		tier: "NU",
	},
	squirtle: {
		inherit: true,
		randomBattleMoves: ["icebeam", "hydropump", "rapidspin", "scald", "aquajet", "toxic"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	wartortle: {
		randomBattleMoves: ["icebeam", "hydropump", "rapidspin", "scald", "aquajet", "toxic"],
		maleOnlyHidden: true,
		tier: "NU",
	},
	blastoise: {
		inherit: true,
		randomBattleMoves: ["icebeam", "hydropump", "rapidspin", "scald", "aquajet", "toxic", "dragontail"],
		maleOnlyHidden: true,
		tier: "UU",
	},
	caterpie: {
		randomBattleMoves: ["bugbite", "snore", "tackle", "electroweb"],
		tier: "LC",
	},
	metapod: {
		randomBattleMoves: ["snore", "bugbite", "tackle", "electroweb"],
		tier: "NFE",
	},
	butterfree: {
		inherit: true,
		randomBattleMoves: ["quiverdance", "roost", "bugbuzz", "substitute", "sleeppowder", "gigadrain"],
		tier: "NU",
	},
	weedle: {
		randomBattleMoves: ["bugbite", "stringshot", "poisonsting", "electroweb"],
		tier: "LC",
	},
	kakuna: {
		randomBattleMoves: ["electroweb", "bugbite", "irondefense", "poisonsting"],
		tier: "NFE",
	},
	beedrill: {
		inherit: true,
		randomBattleMoves: ["toxicspikes", "xscissor", "swordsdance", "uturn", "endeavor", "poisonjab", "drillrun", "brickbreak"],
		tier: "NU",
	},
	pidgey: {
		randomBattleMoves: ["roost", "bravebird", "heatwave", "return", "workup", "uturn"],
		tier: "LC",
	},
	pidgeotto: {
		inherit: true,
		randomBattleMoves: ["roost", "bravebird", "heatwave", "return", "workup", "uturn"],
		tier: "NFE",
	},
	pidgeot: {
		inherit: true,
		randomBattleMoves: ["roost", "bravebird", "pursuit", "heatwave", "return", "workup", "uturn"],
		tier: "NU",
	},
	rattata: {
		randomBattleMoves: ["facade", "flamewheel", "suckerpunch", "uturn"],
		tier: "LC",
	},
	raticate: {
		inherit: true,
		randomBattleMoves: ["facade", "flamewheel", "suckerpunch", "uturn"],
		tier: "NU",
	},
	spearow: {
		inherit: true,
		randomBattleMoves: ["return", "drillpeck", "doubleedge", "uturn", "quickattack", "pursuit"],
		tier: "LC",
	},
	fearow: {
		randomBattleMoves: ["return", "drillpeck", "doubleedge", "uturn", "quickattack", "pursuit", "drillrun", "roost"],
		tier: "NU",
	},
	ekans: {
		inherit: true,
		randomBattleMoves: ["coil", "gunkshot", "seedbomb", "glare", "suckerpunch", "aquatail", "earthquake", "rest"],
		tier: "LC",
	},
	arbok: {
		inherit: true,
		randomBattleMoves: ["coil", "gunkshot", "seedbomb", "glare", "suckerpunch", "aquatail", "crunch", "earthquake", "rest"],
		tier: "NU",
	},
	pichu: {
		inherit: true,
		randomBattleMoves: ["fakeout", "volttackle", "encore", "irontail", "toxic", "thunderbolt"],
		tier: "LC",
	},
	pikachu: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "volttackle", "voltswitch", "grassknot", "hiddenpowerice", "brickbreak", "extremespeed", "encore", "substitute"],
		tier: "NU",
	},
	raichu: {
		randomBattleMoves: ["nastyplot", "encore", "thunderbolt", "grassknot", "hiddenpowerice", "focusblast", "substitute", "extremespeed"],
		tier: "NU",
	},
	sandshrew: {
		inherit: true,
		randomBattleMoves: ["earthquake", "rockslide", "swordsdance", "rapidspin", "xscissor", "stealthrock", "toxic"],
		tier: "LC",
	},
	sandslash: {
		randomBattleMoves: ["earthquake", "stoneedge", "swordsdance", "rapidspin", "xscissor", "stealthrock", "toxic"],
		tier: "RU",
	},
	nidoranf: {
		randomBattleMoves: ["toxicspikes", "crunch", "poisonjab", "honeclaws"],
		tier: "LC",
	},
	nidorina: {
		randomBattleMoves: ["toxicspikes", "crunch", "poisonjab", "honeclaws", "icebeam"],
		tier: "NFE",
	},
	nidoqueen: {
		randomBattleMoves: ["toxicspikes", "stealthrock", "fireblast", "thunderbolt", "icebeam", "earthpower", "sludgewave", "focusblast"],
		tier: "UU",
	},
	nidoranm: {
		randomBattleMoves: ["suckerpunch", "poisonjab", "headsmash", "honeclaws"],
		tier: "LC",
	},
	nidorino: {
		randomBattleMoves: ["suckerpunch", "poisonjab", "headsmash", "honeclaws"],
		tier: "NFE",
	},
	nidoking: {
		randomBattleMoves: ["fireblast", "thunderbolt", "icebeam", "earthpower", "sludgewave", "focusblast"],
		tier: "UU",
	},
	cleffa: {
		randomBattleMoves: ["reflect", "thunderwave", "lightscreen", "toxic", "fireblast", "encore", "wish", "protect", "aromatherapy"],
		tier: "LC",
	},
	clefairy: {
		randomBattleMoves: ["healingwish", "reflect", "thunderwave", "lightscreen", "toxic", "fireblast", "encore", "wish", "protect", "aromatherapy", "stealthrock"],
		tier: "NFE",
	},
	clefable: {
		randomBattleMoves: ["calmmind", "hypervoice", "softboiled", "fireblast", "thunderbolt", "icebeam"],
		tier: "RU",
	},
	vulpix: {
		inherit: true,
		randomBattleMoves: ["flamethrower", "fireblast", "willowisp", "energyball", "substitute", "toxic", "hypnosis", "painsplit"],
		tier: "LC Uber",
	},
	ninetales: {
		inherit: true,
		randomBattleMoves: ["flamethrower", "fireblast", "willowisp", "solarbeam", "nastyplot", "substitute", "toxic", "hypnosis", "painsplit"],
		tier: "OU",
	},
	igglybuff: {
		inherit: true,
		randomBattleMoves: ["wish", "thunderwave", "reflect", "lightscreen", "healbell", "seismictoss", "counter", "protect"],
		tier: "LC",
	},
	jigglypuff: {
		randomBattleMoves: ["wish", "thunderwave", "reflect", "lightscreen", "healbell", "seismictoss", "counter", "stealthrock", "protect"],
		tier: "NFE",
	},
	wigglytuff: {
		randomBattleMoves: ["wish", "thunderwave", "return", "thunderbolt", "healbell", "fireblast", "counter", "stealthrock", "icebeam"],
		tier: "NU",
	},
	zubat: {
		randomBattleMoves: ["bravebird", "roost", "toxic", "taunt", "nastyplot", "gigadrain", "sludgebomb", "airslash", "uturn", "whirlwind", "acrobatics", "heatwave", "superfang"],
		tier: "LC",
	},
	golbat: {
		randomBattleMoves: ["bravebird", "roost", "toxic", "taunt", "nastyplot", "gigadrain", "sludgebomb", "airslash", "uturn", "whirlwind", "acrobatics", "heatwave", "superfang"],
		tier: "NU",
	},
	crobat: {
		inherit: true,
		randomBattleMoves: ["bravebird", "roost", "toxic", "taunt", "nastyplot", "gigadrain", "sludgebomb", "airslash", "uturn", "whirlwind", "acrobatics", "heatwave", "superfang"],
		tier: "UU",
	},
	oddish: {
		inherit: true,
		randomBattleMoves: ["gigadrain", "sludgebomb", "synthesis", "sleeppowder", "stunspore", "toxic", "hiddenpowerfire", "leechseed"],
		tier: "LC",
	},
	gloom: {
		inherit: true,
		randomBattleMoves: ["gigadrain", "sludgebomb", "synthesis", "sleeppowder", "stunspore", "toxic", "hiddenpowerfire", "leechseed"],
		tier: "NFE",
	},
	vileplume: {
		randomBattleMoves: ["gigadrain", "sludgebomb", "synthesis", "sleeppowder", "stunspore", "toxic", "hiddenpowerfire", "leechseed", "aromatherapy"],
		tier: "NU",
	},
	bellossom: {
		randomBattleMoves: ["gigadrain", "sludgebomb", "synthesis", "sleeppowder", "stunspore", "toxic", "hiddenpowerfire", "leechseed", "leafstorm"],
		tier: "NU",
	},
	paras: {
		inherit: true,
		randomBattleMoves: ["spore", "stunspore", "xscissor", "seedbomb", "synthesis", "leechseed", "aromatherapy"],
		tier: "LC",
	},
	parasect: {
		randomBattleMoves: ["spore", "stunspore", "xscissor", "seedbomb", "synthesis", "leechseed", "aromatherapy"],
		tier: "NU",
	},
	venonat: {
		randomBattleMoves: ["sleeppowder", "morningsun", "toxicspikes", "sludgebomb", "signalbeam", "stunspore"],
		tier: "LC",
	},
	venomoth: {
		inherit: true,
		randomBattleMoves: ["sleeppowder", "roost", "toxicspikes", "quiverdance", "batonpass", "bugbuzz", "sludgebomb", "gigadrain", "substitute"],
		tier: "BL2",
	},
	diglett: {
		randomBattleMoves: ["earthquake", "rockslide", "stealthrock", "suckerpunch", "reversal", "substitute"],
		tier: "LC",
	},
	dugtrio: {
		inherit: true,
		randomBattleMoves: ["earthquake", "stoneedge", "stealthrock", "suckerpunch", "reversal", "substitute"],
		tier: "OU",
	},
	meowth: {
		inherit: true,
		randomBattleMoves: ["fakeout", "uturn", "bite", "taunt", "return", "hypnosis", "waterpulse"],
		tier: "LC",
	},
	persian: {
		randomBattleMoves: ["fakeout", "uturn", "bite", "taunt", "return", "hypnosis", "waterpulse", "switcheroo"],
		tier: "NU",
	},
	psyduck: {
		inherit: true,
		randomBattleMoves: ["hydropump", "surf", "icebeam", "hiddenpowergrass", "crosschop", "encore"],
		tier: "LC",
	},
	golduck: {
		inherit: true,
		randomBattleMoves: ["hydropump", "surf", "icebeam", "hiddenpowergrass", "encore", "focusblast"],
		tier: "NU",
	},
	mankey: {
		randomBattleMoves: ["closecombat", "uturn", "icepunch", "rockslide", "punishment"],
		tier: "LC",
	},
	primeape: {
		inherit: true,
		randomBattleMoves: ["closecombat", "uturn", "icepunch", "stoneedge", "punishment", "encore"],
		tier: "NU",
	},
	growlithe: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "wildcharge", "hiddenpowergrass", "closecombat", "morningsun", "willowisp"],
		tier: "LC",
	},
	arcanine: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "wildcharge", "hiddenpowergrass", "extremespeed", "closecombat", "morningsun", "willowisp"],
		tier: "UU",
	},
	poliwag: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "encore", "bellydrum", "hypnosis", "waterfall", "return"],
		tier: "LC",
	},
	poliwhirl: {
		randomBattleMoves: ["hydropump", "icebeam", "encore", "bellydrum", "hypnosis", "waterfall", "return"],
		tier: "NFE",
	},
	poliwrath: {
		inherit: true,
		randomBattleMoves: ["substitute", "circlethrow", "focuspunch", "bulkup", "encore", "waterfall", "toxic", "rest", "sleeptalk", "icepunch"],
		tier: "RU",
	},
	politoed: {
		inherit: true,
		randomBattleMoves: ["scald", "hypnosis", "toxic", "encore", "perishsong", "protect", "icebeam", "focusblast", "surf", "hydropump", "hiddenpowergrass"],
		tier: "OU",
	},
	abra: {
		randomBattleMoves: ["calmmind", "psychic", "psyshock", "hiddenpowerfighting", "shadowball", "encore", "substitute"],
		tier: "LC",
	},
	kadabra: {
		randomBattleMoves: ["calmmind", "psychic", "psyshock", "hiddenpowerfighting", "shadowball", "encore", "substitute"],
		tier: "NU",
	},
	alakazam: {
		inherit: true,
		randomBattleMoves: ["calmmind", "psychic", "psyshock", "focusblast", "shadowball", "encore", "substitute"],
		tier: "OU",
	},
	machop: {
		randomBattleMoves: ["dynamicpunch", "payback", "bulkup", "icepunch", "rockslide", "bulletpunch"],
		tier: "LC",
	},
	machoke: {
		inherit: true,
		randomBattleMoves: ["dynamicpunch", "payback", "bulkup", "icepunch", "rockslide", "bulletpunch"],
		tier: "NU",
	},
	machamp: {
		inherit: true,
		randomBattleMoves: ["dynamicpunch", "payback", "bulkup", "icepunch", "stoneedge", "bulletpunch"],
		tier: "UU",
	},
	bellsprout: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "sleeppowder", "sunnyday", "growth", "solarbeam", "gigadrain", "sludgebomb", "weatherball", "suckerpunch", "seedbomb"],
		tier: "LC",
	},
	weepinbell: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "sleeppowder", "sunnyday", "growth", "solarbeam", "gigadrain", "sludgebomb", "weatherball", "suckerpunch", "seedbomb"],
		tier: "NFE",
	},
	victreebel: {
		randomBattleMoves: ["swordsdance", "sleeppowder", "sunnyday", "growth", "solarbeam", "gigadrain", "sludgebomb", "weatherball", "suckerpunch", "powerwhip"],
		tier: "NU",
	},
	tentacool: {
		randomBattleMoves: ["toxicspikes", "rapidspin", "scald", "sludgebomb", "icebeam", "knockoff", "gigadrain", "toxic"],
		tier: "LC",
	},
	tentacruel: {
		randomBattleMoves: ["toxicspikes", "rapidspin", "scald", "sludgebomb", "icebeam", "knockoff", "gigadrain", "toxic"],
		tier: "OU",
	},
	geodude: {
		randomBattleMoves: ["stealthrock", "earthquake", "stoneedge", "suckerpunch", "hammerarm", "firepunch"],
		tier: "LC",
	},
	graveler: {
		randomBattleMoves: ["stealthrock", "earthquake", "stoneedge", "suckerpunch", "hammerarm", "firepunch"],
		tier: "NFE",
	},
	golem: {
		randomBattleMoves: ["stealthrock", "earthquake", "stoneedge", "suckerpunch", "hammerarm", "firepunch"],
		tier: "NU",
	},
	ponyta: {
		randomBattleMoves: ["flareblitz", "wildcharge", "morningsun", "hypnosis", "flamecharge"],
		tier: "LC",
	},
	rapidash: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "wildcharge", "morningsun", "hypnosis", "flamecharge", "megahorn", "drillrun"],
		tier: "NU",
	},
	slowpoke: {
		inherit: true,
		randomBattleMoves: ["scald", "aquatail", "zenheadbutt", "thunderwave", "toxic", "slackoff", "trickroom"],
		tier: "LC",
	},
	slowbro: {
		randomBattleMoves: ["scald", "surf", "fireblast", "icebeam", "psychic", "grassknot", "calmmind", "thunderwave", "toxic", "slackoff", "trickroom", "trick"],
		tier: "UU",
	},
	slowking: {
		randomBattleMoves: ["scald", "surf", "fireblast", "icebeam", "psychic", "grassknot", "calmmind", "thunderwave", "toxic", "slackoff", "trickroom", "trick", "nastyplot"],
		tier: "RU",
	},
	magnemite: {
		randomBattleMoves: ["thunderbolt", "thunderwave", "magnetrise", "substitute", "flashcannon", "hiddenpowerice", "voltswitch"],
		tier: "LC",
	},
	magneton: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "thunderwave", "magnetrise", "substitute", "flashcannon", "hiddenpowerice", "voltswitch"],
		tier: "RU",
	},
	magnezone: {
		randomBattleMoves: ["thunderbolt", "thunderwave", "magnetrise", "substitute", "flashcannon", "hiddenpowerice", "voltswitch"],
		tier: "OU",
	},
	farfetchd: {
		inherit: true,
		randomBattleMoves: ["bravebird", "swordsdance", "return", "leafblade", "roost"],
		tier: "NU",
	},
	doduo: {
		randomBattleMoves: ["bravebird", "return", "doubleedge", "roost", "quickattack", "pursuit"],
		tier: "LC",
	},
	dodrio: {
		inherit: true,
		randomBattleMoves: ["bravebird", "return", "doubleedge", "roost", "quickattack", "pursuit"],
		tier: "NU",
	},
	seel: {
		inherit: true,
		randomBattleMoves: ["surf", "icebeam", "aquajet", "protect", "rest", "toxic", "drillrun"],
		tier: "LC",
	},
	dewgong: {
		randomBattleMoves: ["surf", "icebeam", "aquajet", "iceshard", "protect", "rest", "toxic", "drillrun"],
		tier: "NU",
	},
	grimer: {
		inherit: true,
		randomBattleMoves: ["curse", "gunkshot", "poisonjab", "shadowsneak", "payback", "rest", "icepunch", "firepunch", "sleeptalk"],
		tier: "LC",
	},
	muk: {
		randomBattleMoves: ["curse", "gunkshot", "poisonjab", "shadowsneak", "payback", "brickbreak", "rest", "icepunch", "firepunch", "sleeptalk"],
		tier: "NU",
	},
	shellder: {
		inherit: true,
		randomBattleMoves: ["shellsmash", "hydropump", "razorshell", "rockblast", "iciclespear", "rapidspin"],
		tier: "LC",
	},
	cloyster: {
		inherit: true,
		randomBattleMoves: ["shellsmash", "hydropump", "razorshell", "rockblast", "iciclespear", "iceshard", "rapidspin", "spikes", "toxicspikes"],
		tier: "OU",
	},
	gastly: {
		randomBattleMoves: ["shadowball", "sludgebomb", "hiddenpowerfighting", "thunderbolt", "substitute", "disable", "painsplit", "hypnosis", "gigadrain"],
		tier: "LC",
	},
	haunter: {
		inherit: true,
		randomBattleMoves: ["shadowball", "sludgebomb", "hiddenpowerfighting", "thunderbolt", "substitute", "disable", "painsplit", "hypnosis", "gigadrain", "trick"],
		tier: "NU",
	},
	gengar: {
		inherit: true,
		randomBattleMoves: ["shadowball", "sludgebomb", "focusblast", "thunderbolt", "substitute", "disable", "painsplit", "hypnosis", "gigadrain", "trick"],
		tier: "OU",
	},
	onix: {
		randomBattleMoves: ["stealthrock", "earthquake", "stoneedge", "dragontail", "curse"],
		tier: "LC",
	},
	steelix: {
		randomBattleMoves: ["stealthrock", "earthquake", "ironhead", "curse", "roar", "toxic", "rockslide", "icefang", "firefang"],
		tier: "RU",
	},
	drowzee: {
		inherit: true,
		randomBattleMoves: ["psychic", "seismictoss", "thunderwave", "wish", "protect", "toxic", "nastyplot", "shadowball", "trickroom", "calmmind", "barrier"],
		tier: "LC",
	},
	hypno: {
		inherit: true,
		randomBattleMoves: ["psychic", "seismictoss", "thunderwave", "wish", "protect", "toxic", "nastyplot", "shadowball", "trickroom", "batonpass", "calmmind", "barrier", "bellydrum", "zenheadbutt", "firepunch"],
		tier: "NU",
	},
	krabby: {
		randomBattleMoves: ["crabhammer", "return", "swordsdance", "agility", "rockslide", "substitute", "xscissor", "superpower"],
		tier: "LC",
	},
	kingler: {
		randomBattleMoves: ["crabhammer", "return", "swordsdance", "agility", "rockslide", "substitute", "xscissor", "superpower"],
		tier: "NU",
	},
	voltorb: {
		inherit: true,
		randomBattleMoves: ["voltswitch", "thunderbolt", "taunt", "foulplay", "hiddenpowerice"],
		tier: "LC",
	},
	electrode: {
		randomBattleMoves: ["voltswitch", "thunderbolt", "taunt", "foulplay", "hiddenpowerice"],
		tier: "NU",
	},
	exeggcute: {
		inherit: true,
		randomBattleMoves: ["substitute", "leechseed", "gigadrain", "psychic", "sleeppowder", "stunspore", "hiddenpowerfire", "synthesis"],
		tier: "LC",
	},
	exeggutor: {
		inherit: true,
		randomBattleMoves: ["substitute", "leechseed", "gigadrain", "leafstorm", "psychic", "sleeppowder", "stunspore", "hiddenpowerfire", "synthesis"],
		tier: "NU",
	},
	cubone: {
		randomBattleMoves: ["substitute", "bonemerang", "doubleedge", "rockslide", "firepunch", "earthquake"],
		tier: "LC",
	},
	marowak: {
		inherit: true,
		randomBattleMoves: ["substitute", "bonemerang", "doubleedge", "stoneedge", "swordsdance", "firepunch", "earthquake"],
		tier: "NU",
	},
	tyrogue: {
		randomBattleMoves: ["highjumpkick", "rapidspin", "fakeout", "bulletpunch", "machpunch", "toxic", "counter"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	hitmonlee: {
		inherit: true,
		randomBattleMoves: ["highjumpkick", "suckerpunch", "stoneedge", "machpunch", "substitute", "fakeout", "closecombat", "earthquake", "blazekick"],
		maleOnlyHidden: true,
		tier: "RU",
	},
	hitmonchan: {
		inherit: true,
		randomBattleMoves: ["bulkup", "drainpunch", "icepunch", "machpunch", "substitute", "closecombat", "stoneedge", "rapidspin"],
		maleOnlyHidden: true,
		tier: "RU",
	},
	hitmontop: {
		inherit: true,
		randomBattleMoves: ["suckerpunch", "machpunch", "rapidspin", "closecombat", "stoneedge", "toxic"],
		maleOnlyHidden: true,
		tier: "UU",
	},
	lickitung: {
		inherit: true,
		randomBattleMoves: ["wish", "protect", "dragontail", "curse", "bodyslam", "return", "powerwhip", "swordsdance", "earthquake", "toxic", "healbell"],
		tier: "LC",
	},
	lickilicky: {
		randomBattleMoves: ["wish", "protect", "dragontail", "curse", "bodyslam", "return", "powerwhip", "swordsdance", "earthquake", "toxic", "healbell", "explosion"],
		tier: "NU",
	},
	koffing: {
		randomBattleMoves: ["painsplit", "sludgebomb", "willowisp", "fireblast", "toxic", "clearsmog", "rest", "sleeptalk", "thunderbolt"],
		tier: "LC",
	},
	weezing: {
		randomBattleMoves: ["painsplit", "sludgebomb", "willowisp", "fireblast", "toxic", "clearsmog", "rest", "sleeptalk", "thunderbolt"],
		tier: "NU",
	},
	rhyhorn: {
		randomBattleMoves: ["stoneedge", "earthquake", "aquatail", "megahorn", "stealthrock", "rockblast"],
		tier: "LC",
	},
	rhydon: {
		inherit: true,
		randomBattleMoves: ["stoneedge", "earthquake", "aquatail", "megahorn", "stealthrock", "rockblast"],
		tier: "RU",
	},
	rhyperior: {
		randomBattleMoves: ["stoneedge", "earthquake", "aquatail", "megahorn", "stealthrock", "rockblast"],
		tier: "UU",
	},
	happiny: {
		randomBattleMoves: ["aromatherapy", "toxic", "thunderwave", "counter", "endeavor"],
		tier: "LC",
	},
	chansey: {
		inherit: true,
		randomBattleMoves: ["wish", "softboiled", "protect", "toxic", "aromatherapy", "seismictoss", "counter", "thunderwave", "stealthrock"],
		tier: "BL",
	},
	blissey: {
		inherit: true,
		randomBattleMoves: ["wish", "softboiled", "protect", "toxic", "aromatherapy", "seismictoss", "counter", "thunderwave", "stealthrock", "flamethrower", "icebeam"],
		tier: "OU",
	},
	tangela: {
		inherit: true,
		randomBattleMoves: ["gigadrain", "sleeppowder", "hiddenpowerrock", "hiddenpowerice", "leechseed", "knockoff", "leafstorm", "stunspore", "synthesis"],
		tier: "NU",
	},
	tangrowth: {
		inherit: true,
		randomBattleMoves: ["gigadrain", "sleeppowder", "hiddenpowerrock", "hiddenpowerice", "leechseed", "knockoff", "leafstorm", "stunspore", "focusblast", "synthesis", "powerwhip"],
		tier: "RU",
	},
	kangaskhan: {
		inherit: true,
		randomBattleMoves: ["fakeout", "return", "hammerarm", "doubleedge", "suckerpunch", "earthquake", "substitute", "focuspunch", "wish"],
		tier: "NU",
	},
	horsea: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "substitute", "hiddenpowergrass", "raindance"],
		tier: "LC",
	},
	seadra: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "agility", "substitute", "hiddenpowergrass"],
		tier: "NU",
	},
	kingdra: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "dragondance", "substitute", "outrage", "dracometeor", "waterfall", "rest", "sleeptalk"],
		tier: "UU",
	},
	goldeen: {
		randomBattleMoves: ["raindance", "waterfall", "megahorn", "return", "drillrun"],
		tier: "LC",
	},
	seaking: {
		randomBattleMoves: ["raindance", "waterfall", "megahorn", "return", "drillrun"],
		tier: "NU",
	},
	staryu: {
		inherit: true,
		randomBattleMoves: ["surf", "thunderbolt", "icebeam", "rapidspin", "recover"],
		tier: "LC",
	},
	starmie: {
		inherit: true,
		randomBattleMoves: ["surf", "thunderbolt", "icebeam", "rapidspin", "recover", "psychic", "trick"],
		tier: "OU",
	},
	mimejr: {
		randomBattleMoves: ["substitute", "batonpass", "psychic", "hiddenpowerfighting", "healingwish", "nastyplot", "thunderbolt", "encore"],
		tier: "LC",
	},
	mrmime: {
		inherit: true,
		randomBattleMoves: ["substitute", "batonpass", "psychic", "hiddenpowerfighting", "healingwish", "nastyplot", "thunderbolt", "encore"],
		tier: "NU",
	},
	scyther: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "roost", "bugbite", "quickattack", "brickbreak", "aerialace", "batonpass", "uturn"],
		tier: "RU",
	},
	scizor: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "roost", "bulletpunch", "bugbite", "superpower", "uturn", "batonpass", "pursuit"],
		tier: "OU",
	},
	smoochum: {
		randomBattleMoves: ["icebeam", "psychic", "hiddenpowerfighting", "trick", "shadowball", "grassknot"],
		tier: "LC",
	},
	jynx: {
		randomBattleMoves: ["icebeam", "psychic", "focusblast", "trick", "shadowball", "nastyplot", "lovelykiss", "substitute", "energyball"],
		tier: "BL3",
	},
	elekid: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "crosschop", "voltswitch", "substitute", "icepunch", "psychic"],
		tier: "LC",
	},
	electabuzz: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "voltswitch", "substitute", "hiddenpowerice", "focusblast", "psychic"],
		tier: "NU",
	},
	electivire: {
		inherit: true,
		randomBattleMoves: ["wildcharge", "crosschop", "icepunch", "substitute", "flamethrower", "earthquake"],
		tier: "RU",
	},
	magby: {
		randomBattleMoves: ["flareblitz", "substitute", "fireblast", "hiddenpowergrass", "crosschop", "thunderpunch", "overheat"],
		tier: "LC",
	},
	magmar: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "substitute", "fireblast", "hiddenpowergrass", "crosschop", "thunderpunch", "focusblast"],
		tier: "NFE",
	},
	magmortar: {
		inherit: true,
		randomBattleMoves: ["fireblast", "substitute", "focusblast", "hiddenpowergrass", "thunderbolt", "overheat"],
		tier: "RU",
	},
	pinsir: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "xscissor", "earthquake", "closecombat", "stealthrock", "substitute", "stoneedge", "quickattack"],
		tier: "NU",
	},
	tauros: {
		inherit: true,
		randomBattleMoves: ["return", "earthquake", "zenheadbutt", "rockslide", "pursuit"],
		tier: "NU",
	},
	magikarp: {
		inherit: true,
		randomBattleMoves: ["bounce", "flail", "tackle", "hydropump"],
		tier: "LC",
	},
	gyarados: {
		randomBattleMoves: ["dragondance", "waterfall", "earthquake", "bounce", "rest", "sleeptalk", "dragontail", "stoneedge", "substitute", "icefang"],
		tier: "OU",
	},
	lapras: {
		inherit: true,
		randomBattleMoves: ["icebeam", "thunderbolt", "healbell", "toxic", "surf", "dragondance", "substitute", "waterfall", "return", "avalanche", "rest", "sleeptalk", "curse", "iceshard", "drillrun"],
		tier: "NU",
	},
	ditto: {
		randomBattleMoves: ["transform"],
		tier: "NU",
	},
	eevee: {
		inherit: true,
		randomBattleMoves: ["quickattack", "return", "bite", "batonpass", "irontail", "yawn", "protect", "wish"],
		tier: "LC",
	},
	vaporeon: {
		inherit: true,
		randomBattleMoves: ["wish", "protect", "scald", "roar", "icebeam", "toxic", "hydropump"],
		tier: "OU",
	},
	jolteon: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "voltswitch", "hiddenpowergrass", "hiddenpowerice", "chargebeam", "batonpass", "substitute"],
		tier: "OU",
	},
	flareon: {
		inherit: true,
		randomBattleMoves: ["rest", "sleeptalk", "flamecharge", "facade"],
		tier: "NU",
	},
	espeon: {
		inherit: true,
		randomBattleMoves: ["psychic", "psyshock", "substitute", "wish", "shadowball", "hiddenpowerfighting", "calmmind", "morningsun", "storedpower", "batonpass"],
		tier: "OU",
	},
	umbreon: {
		inherit: true,
		randomBattleMoves: ["curse", "payback", "moonlight", "wish", "protect", "healbell", "toxic", "batonpass", "foulplay"],
		tier: "UU",
	},
	leafeon: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "leafblade", "substitute", "return", "xscissor", "yawn", "roar", "healbell", "batonpass"],
		tier: "NU",
	},
	glaceon: {
		inherit: true,
		randomBattleMoves: ["icebeam", "hiddenpowerground", "shadowball", "wish", "protect"],
		tier: "NU",
	},
	porygon: {
		inherit: true,
		randomBattleMoves: ["triattack", "icebeam", "recover", "toxic", "thunderwave", "discharge"],
		tier: "LC",
	},
	porygon2: {
		randomBattleMoves: ["triattack", "icebeam", "recover", "toxic", "thunderwave", "discharge"],
		tier: "UU",
	},
	porygonz: {
		randomBattleMoves: ["triattack", "thunderbolt", "icebeam", "darkpulse", "hiddenpowerfighting", "agility", "trick", "nastyplot"],
		tier: "UU",
	},
	omanyte: {
		inherit: true,
		randomBattleMoves: ["shellsmash", "surf", "icebeam", "earthpower", "hiddenpowerelectric", "spikes", "toxicspikes", "stealthrock", "hydropump"],
		tier: "LC",
	},
	omastar: {
		randomBattleMoves: ["shellsmash", "surf", "icebeam", "earthpower", "hiddenpowerelectric", "spikes", "toxicspikes", "stealthrock", "hydropump"],
		tier: "RU",
	},
	kabuto: {
		inherit: true,
		randomBattleMoves: ["aquajet", "rockslide", "rapidspin", "stealthrock", "honeclaws", "waterfall", "toxic"],
		tier: "LC",
	},
	kabutops: {
		randomBattleMoves: ["aquajet", "stoneedge", "rapidspin", "stealthrock", "swordsdance", "waterfall", "toxic", "superpower"],
		tier: "RU",
	},
	aerodactyl: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "taunt", "stoneedge", "rockslide", "earthquake", "aquatail", "roost", "firefang"],
		tier: "RU",
	},
	munchlax: {
		inherit: true,
		randomBattleMoves: ["rest", "curse", "sleeptalk", "bodyslam", "earthquake", "return", "firepunch", "icepunch", "whirlwind"],
		tier: "NU",
	},
	snorlax: {
		inherit: true,
		randomBattleMoves: ["rest", "curse", "sleeptalk", "bodyslam", "earthquake", "return", "firepunch", "icepunch", "crunch", "selfdestruct", "pursuit", "whirlwind"],
		tier: "UU",
	},
	articuno: {
		inherit: true,
		randomBattleMoves: ["icebeam", "roost", "roar", "healbell", "toxic", "substitute", "hurricane"],
		tier: "NU",
	},
	zapdos: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "heatwave", "hiddenpowergrass", "hiddenpowerice", "roost", "toxic", "substitute"],
		tier: "UU",
	},
	moltres: {
		inherit: true,
		randomBattleMoves: ["fireblast", "hiddenpowergrass", "airslash", "roost", "substitute", "toxic", "uturn", "willowisp", "hurricane"],
		tier: "RU",
	},
	dratini: {
		randomBattleMoves: ["dragondance", "outrage", "waterfall", "fireblast", "extremespeed", "dracometeor", "substitute", "aquatail"],
		tier: "LC",
	},
	dragonair: {
		randomBattleMoves: ["dragondance", "outrage", "waterfall", "fireblast", "extremespeed", "dracometeor", "substitute", "aquatail"],
		tier: "NU",
	},
	dragonite: {
		inherit: true,
		randomBattleMoves: ["dragondance", "outrage", "firepunch", "extremespeed", "dragonclaw", "earthquake", "roost", "waterfall", "substitute", "thunderwave", "dragontail", "hurricane", "superpower", "dracometeor"],
		tier: "OU",
	},
	mewtwo: {
		inherit: true,
		randomBattleMoves: ["psystrike", "aurasphere", "fireblast", "icebeam", "calmmind", "substitute", "recover", "thunderbolt"],
		tier: "Uber",
	},
	mew: {
		inherit: true,
		randomBattleMoves: ["taunt", "willowisp", "roost", "psychic", "nastyplot", "aurasphere", "fireblast", "swordsdance", "superpower", "zenheadbutt", "batonpass", "rockpolish", "substitute", "toxic", "icebeam", "thunderbolt", "earthquake", "uturn", "stealthrock"],
		tier: "UU",
	},
	chikorita: {
		inherit: true,
		randomBattleMoves: ["reflect", "lightscreen", "safeguard", "aromatherapy", "grasswhistle", "leechseed", "toxic", "gigadrain", "synthesis"],
		tier: "LC",
	},
	bayleef: {
		randomBattleMoves: ["reflect", "lightscreen", "safeguard", "aromatherapy", "grasswhistle", "leechseed", "toxic", "gigadrain", "synthesis"],
		tier: "NFE",
	},
	meganium: {
		randomBattleMoves: ["reflect", "lightscreen", "safeguard", "aromatherapy", "grasswhistle", "leechseed", "toxic", "gigadrain", "synthesis", "dragontail"],
		tier: "NU",
	},
	cyndaquil: {
		inherit: true,
		randomBattleMoves: ["eruption", "fireblast", "flamethrower", "hiddenpowergrass", "naturepower"],
		tier: "LC",
	},
	quilava: {
		randomBattleMoves: ["eruption", "fireblast", "flamethrower", "hiddenpowergrass", "naturepower"],
		tier: "NFE",
	},
	typhlosion: {
		inherit: true,
		randomBattleMoves: ["eruption", "fireblast", "flamethrower", "hiddenpowergrass", "naturepower", "focusblast"],
		tier: "RU",
	},
	totodile: {
		inherit: true,
		randomBattleMoves: ["aquajet", "waterfall", "crunch", "icepunch", "superpower", "dragondance", "swordsdance"],
		tier: "LC",
	},
	croconaw: {
		randomBattleMoves: ["aquajet", "waterfall", "crunch", "icepunch", "superpower", "dragondance", "swordsdance"],
		tier: "NFE",
	},
	feraligatr: {
		randomBattleMoves: ["aquajet", "waterfall", "crunch", "icepunch", "dragondance", "swordsdance", "earthquake", "superpower"],
		tier: "RU",
	},
	sentret: {
		randomBattleMoves: ["superfang", "trick", "toxic", "uturn", "knockoff"],
		tier: "LC",
	},
	furret: {
		randomBattleMoves: ["return", "uturn", "suckerpunch", "trick", "icepunch", "firepunch", "thunderpunch"],
		tier: "NU",
	},
	hoothoot: {
		inherit: true,
		randomBattleMoves: ["reflect", "toxic", "roost", "whirlwind", "nightshade", "magiccoat"],
		tier: "LC",
	},
	noctowl: {
		randomBattleMoves: ["roost", "whirlwind", "airslash", "nightshade", "toxic", "reflect", "magiccoat"],
		tier: "NU",
	},
	ledyba: {
		inherit: true,
		randomBattleMoves: ["roost", "agility", "lightscreen", "encore", "reflect", "knockoff", "swordsdance", "batonpass", "toxic"],
		tier: "LC",
	},
	ledian: {
		randomBattleMoves: ["roost", "bugbuzz", "lightscreen", "encore", "reflect", "knockoff", "toxic"],
		tier: "NU",
	},
	spinarak: {
		inherit: true,
		randomBattleMoves: ["agility", "toxic", "xscissor", "toxicspikes", "poisonjab", "batonpass"],
		tier: "LC",
	},
	ariados: {
		randomBattleMoves: ["agility", "toxic", "xscissor", "toxicspikes", "poisonjab", "batonpass"],
		tier: "NU",
	},
	chinchou: {
		randomBattleMoves: ["voltswitch", "thunderbolt", "hiddenpowergrass", "hydropump", "icebeam", "surf", "thunderwave", "scald", "discharge"],
		tier: "LC",
	},
	lanturn: {
		randomBattleMoves: ["voltswitch", "thunderbolt", "hiddenpowergrass", "hydropump", "icebeam", "surf", "thunderwave", "scald", "discharge"],
		tier: "RU",
	},
	togepi: {
		inherit: true,
		randomBattleMoves: ["protect", "fireblast", "toxic", "thunderwave", "softboiled"],
		tier: "LC",
	},
	togetic: {
		randomBattleMoves: ["nastyplot", "hypervoice", "fireblast", "batonpass", "roost"],
		tier: "NU",
	},
	togekiss: {
		inherit: true,
		randomBattleMoves: ["wish", "roost", "thunderwave", "nastyplot", "airslash", "aurasphere", "batonpass"],
		tier: "UU",
	},
	natu: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "roost", "toxic", "reflect", "lightscreen", "uturn", "wish", "psychic", "nightshade"],
		tier: "NU",
	},
	xatu: {
		randomBattleMoves: ["thunderwave", "toxic", "roost", "psychic", "nightshade", "uturn", "reflect", "lightscreen", "wish", "calmmind"],
		tier: "UU",
	},
	mareep: {
		inherit: true,
		randomBattleMoves: ["reflect", "lightscreen", "thunderbolt", "discharge", "thunderwave", "toxic", "hiddenpowerice", "cottonguard"],
		tier: "LC",
	},
	flaaffy: {
		randomBattleMoves: ["reflect", "lightscreen", "thunderbolt", "discharge", "thunderwave", "toxic", "hiddenpowerice", "cottonguard"],
		tier: "NFE",
	},
	ampharos: {
		randomBattleMoves: ["voltswitch", "focusblast", "hiddenpowerice", "hiddenpowergrass", "thunderbolt", "healbell"],
		tier: "NU",
	},
	azurill: {
		randomBattleMoves: ["scald", "return", "doubleedge", "encore", "toxic", "protect"],
		tier: "LC",
	},
	marill: {
		randomBattleMoves: ["waterfall", "return", "doubleedge", "encore", "toxic", "aquajet", "superpower", "icepunch", "protect"],
		tier: "NFE",
	},
	azumarill: {
		randomBattleMoves: ["waterfall", "aquajet", "return", "doubleedge", "icepunch", "superpower"],
		tier: "UU",
	},
	bonsly: {
		randomBattleMoves: ["rockslide", "brickbreak", "doubleedge", "toxic", "stealthrock", "suckerpunch"],
		tier: "LC",
	},
	sudowoodo: {
		randomBattleMoves: ["hammerarm", "stoneedge", "earthquake", "suckerpunch", "woodhammer", "explosion", "stealthrock"],
		tier: "NU",
	},
	hoppip: {
		randomBattleMoves: ["encore", "sleeppowder", "uturn", "toxic", "leechseed", "substitute", "protect"],
		tier: "LC",
	},
	skiploom: {
		randomBattleMoves: ["encore", "sleeppowder", "uturn", "toxic", "leechseed", "substitute", "protect"],
		tier: "NFE",
	},
	jumpluff: {
		inherit: true,
		randomBattleMoves: ["encore", "sleeppowder", "uturn", "toxic", "leechseed", "substitute", "gigadrain", "acrobatics", "synthesis"],
		tier: "NU",
	},
	aipom: {
		inherit: true,
		randomBattleMoves: ["fakeout", "return", "brickbreak", "seedbomb", "shadowclaw", "uturn"],
		tier: "LC",
	},
	ambipom: {
		randomBattleMoves: ["fakeout", "return", "payback", "uturn", "lowsweep", "switcheroo", "seedbomb"],
		tier: "UU",
	},
	sunkern: {
		inherit: true,
		randomBattleMoves: ["sunnyday", "gigadrain", "solarbeam", "hiddenpowerfire", "toxic", "earthpower"],
		tier: "LC",
	},
	sunflora: {
		randomBattleMoves: ["sunnyday", "leafstorm", "gigadrain", "solarbeam", "hiddenpowerfire", "earthpower"],
		tier: "NU",
	},
	yanma: {
		randomBattleMoves: ["bugbuzz", "airslash", "hiddenpowerground", "uturn", "protect", "gigadrain"],
		tier: "LC Uber",
	},
	yanmega: {
		randomBattleMoves: ["bugbuzz", "airslash", "hiddenpowerground", "uturn", "protect", "gigadrain"],
		tier: "UU",
	},
	wooper: {
		randomBattleMoves: ["recover", "earthquake", "scald", "toxic", "stockpile", "yawn", "protect"],
		tier: "LC",
	},
	quagsire: {
		randomBattleMoves: ["recover", "earthquake", "waterfall", "scald", "toxic", "curse", "stoneedge", "stockpile", "yawn"],
		tier: "RU",
	},
	murkrow: {
		inherit: true,
		randomBattleMoves: ["substitute", "suckerpunch", "bravebird", "heatwave", "hiddenpowergrass", "roost", "darkpulse", "thunderwave"],
		tier: "NU",
	},
	honchkrow: {
		randomBattleMoves: ["substitute", "superpower", "suckerpunch", "bravebird", "roost", "hiddenpowergrass", "heatwave", "pursuit"],
		tier: "UU",
	},
	misdreavus: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "substitute", "calmmind", "willowisp", "shadowball", "thunderbolt", "hiddenpowerfighting"],
		tier: "NU",
	},
	mismagius: {
		randomBattleMoves: ["nastyplot", "substitute", "calmmind", "willowisp", "shadowball", "thunderbolt", "hiddenpowerfighting"],
		tier: "UU",
	},
	unown: {
		randomBattleMoves: ["hiddenpowerpsychic"],
		tier: "NU",
	},
	wynaut: {
		inherit: true,
		randomBattleMoves: ["destinybond", "counter", "mirrorcoat", "encore"],
		tier: "LC",
	},
	wobbuffet: {
		inherit: true,
		randomBattleMoves: ["destinybond", "counter", "mirrorcoat", "encore"],
		tier: "BL",
	},
	girafarig: {
		randomBattleMoves: ["psychic", "thunderbolt", "calmmind", "batonpass", "agility", "hypervoice", "thunderwave"],
		tier: "NU",
	},
	pineco: {
		inherit: true,
		randomBattleMoves: ["rapidspin", "toxicspikes", "spikes", "bugbite", "stealthrock"],
		tier: "LC",
	},
	forretress: {
		randomBattleMoves: ["rapidspin", "toxicspikes", "spikes", "bugbite", "earthquake", "voltswitch", "stealthrock"],
		tier: "OU",
	},
	dunsparce: {
		randomBattleMoves: ["coil", "rockslide", "bite", "headbutt", "glare", "thunderwave", "bodyslam", "roost"],
		tier: "NU",
	},
	gligar: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "toxic", "roost", "taunt", "swordsdance", "earthquake", "uturn", "stoneedge", "acrobatics"],
		tier: "UU",
	},
	gliscor: {
		randomBattleMoves: ["swordsdance", "acrobatics", "earthquake", "roost", "substitute", "taunt", "icefang", "protect", "toxic", "stealthrock"],
		tier: "OU",
	},
	snubbull: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "return", "crunch", "closecombat"],
		tier: "LC",
	},
	granbull: {
		randomBattleMoves: ["thunderwave", "return", "crunch", "closecombat", "healbell", "icepunch"],
		tier: "NU",
	},
	qwilfish: {
		inherit: true,
		randomBattleMoves: ["toxicspikes", "waterfall", "spikes", "swordsdance", "poisonjab", "painsplit", "thunderwave", "taunt", "destinybond"],
		tier: "RU",
	},
	shuckle: {
		inherit: true,
		randomBattleMoves: ["rollout", "acupressure", "powersplit", "rest"],
		tier: "NU",
	},
	heracross: {
		randomBattleMoves: ["closecombat", "megahorn", "stoneedge", "swordsdance", "facade"],
		tier: "UU",
	},
	sneasel: {
		inherit: true,
		randomBattleMoves: ["iceshard", "icepunch", "lowkick", "pursuit", "swordsdance"],
		tier: "NU",
	},
	weavile: {
		inherit: true,
		randomBattleMoves: ["iceshard", "icepunch", "nightslash", "lowkick", "pursuit", "swordsdance"],
		tier: "UU",
	},
	teddiursa: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "protect", "facade", "closecombat", "firepunch", "crunch"],
		tier: "LC",
	},
	ursaring: {
		randomBattleMoves: ["swordsdance", "protect", "facade", "closecombat", "firepunch", "crunch"],
		tier: "NU",
	},
	slugma: {
		randomBattleMoves: ["stockpile", "recover", "lavaplume", "willowisp", "toxic", "hiddenpowergrass"],
		tier: "LC",
	},
	magcargo: {
		inherit: true,
		randomBattleMoves: ["stockpile", "recover", "lavaplume", "willowisp", "toxic", "hiddenpowergrass", "hiddenpowerrock", "stealthrock", "shellsmash", "fireblast", "earthpower"],
		tier: "NU",
	},
	swinub: {
		inherit: true,
		randomBattleMoves: ["earthquake", "iciclecrash", "iceshard", "superpower", "endeavor", "stealthrock"],
		tier: "LC",
	},
	piloswine: {
		randomBattleMoves: ["earthquake", "iciclecrash", "iceshard", "superpower", "endeavor", "stealthrock"],
		tier: "NU",
	},
	mamoswine: {
		inherit: true,
		randomBattleMoves: ["iceshard", "earthquake", "endeavor", "iciclecrash", "stoneedge", "superpower", "stealthrock"],
		tier: "OU",
	},
	corsola: {
		inherit: true,
		randomBattleMoves: ["recover", "toxic", "powergem", "scald", "stealthrock"],
		tier: "NU",
	},
	remoraid: {
		randomBattleMoves: ["waterspout", "hydropump", "fireblast", "hiddenpowerground", "icebeam", "seedbomb", "rockblast"],
		tier: "LC",
	},
	octillery: {
		inherit: true,
		randomBattleMoves: ["hydropump", "fireblast", "icebeam", "energyball", "rockblast", "thunderwave"],
		tier: "NU",
	},
	delibird: {
		inherit: true,
		randomBattleMoves: ["rapidspin", "iceshard", "icepunch", "aerialace"],
		tier: "NU",
	},
	mantyke: {
		randomBattleMoves: ["raindance", "hydropump", "surf", "airslash", "icebeam", "rest", "sleeptalk", "toxic"],
		tier: "LC",
	},
	mantine: {
		inherit: true,
		randomBattleMoves: ["raindance", "hydropump", "surf", "airslash", "icebeam", "rest", "sleeptalk", "toxic"],
		tier: "NU",
	},
	skarmory: {
		randomBattleMoves: ["whirlwind", "bravebird", "roost", "spikes", "stealthrock"],
		tier: "OU",
	},
	houndour: {
		inherit: true,
		randomBattleMoves: ["pursuit", "suckerpunch", "fireblast", "darkpulse", "hiddenpowerfighting", "nastyplot"],
		tier: "LC",
	},
	houndoom: {
		randomBattleMoves: ["nastyplot", "pursuit", "darkpulse", "suckerpunch", "fireblast", "hiddenpowerfighting"],
		tier: "UU",
	},
	phanpy: {
		randomBattleMoves: ["stealthrock", "earthquake", "iceshard", "headsmash", "knockoff", "seedbomb", "superpower"],
		tier: "LC",
	},
	donphan: {
		randomBattleMoves: ["stealthrock", "rapidspin", "iceshard", "earthquake", "headsmash", "seedbomb", "superpower"],
		tier: "OU",
	},
	stantler: {
		inherit: true,
		randomBattleMoves: ["return", "megahorn", "jumpkick", "earthquake", "thunderwave", "suckerpunch"],
		tier: "NU",
	},
	smeargle: {
		inherit: true,
		randomBattleMoves: ["spore", "spikes", "stealthrock", "uturn", "destinybond", "whirlwind"],
		tier: "RU",
	},
	miltank: {
		randomBattleMoves: ["milkdrink", "stealthrock", "bodyslam", "healbell", "curse", "earthquake"],
		tier: "NU",
	},
	raikou: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "hiddenpowerice", "aurasphere", "calmmind", "substitute"],
		tier: "UU",
	},
	entei: {
		inherit: true,
		randomBattleMoves: ["extremespeed", "flareblitz", "ironhead", "flamecharge", "stoneedge"],
		tier: "RU",
	},
	suicune: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "scald", "hiddenpowergrass", "hiddenpowerelectric", "rest", "sleeptalk", "roar", "calmmind"],
		tier: "UU",
	},
	larvitar: {
		inherit: true,
		randomBattleMoves: ["earthquake", "stoneedge", "rockpolish", "dragondance", "superpower"],
		tier: "LC",
	},
	pupitar: {
		randomBattleMoves: ["earthquake", "stoneedge", "rockpolish", "dragondance", "superpower"],
		tier: "NFE",
	},
	tyranitar: {
		inherit: true,
		randomBattleMoves: ["crunch", "stoneedge", "pursuit", "superpower", "fireblast", "icebeam", "stealthrock", "aquatail"],
		tier: "OU",
	},
	lugia: {
		inherit: true,
		randomBattleMoves: ["toxic", "dragontail", "roost", "substitute", "whirlwind", "icebeam"],
		tier: "Uber",
	},
	hooh: {
		inherit: true,
		randomBattleMoves: ["substitute", "sacredfire", "bravebird", "earthquake", "roost"],
		tier: "Uber",
	},
	celebi: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "psychic", "gigadrain", "recover", "healbell", "batonpass", "stealthrock", "earthpower", "hiddenpowerfire", "hiddenpowerice", "calmmind", "leafstorm"],
		tier: "OU",
	},
	treecko: {
		inherit: true,
		randomBattleMoves: ["substitute", "leechseed", "gigadrain", "leafstorm", "hiddenpowerice", "hiddenpowerrock", "endeavor"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	grovyle: {
		randomBattleMoves: ["substitute", "leechseed", "gigadrain", "leafstorm", "hiddenpowerice", "hiddenpowerrock", "endeavor"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	sceptile: {
		inherit: true,
		randomBattleMoves: ["substitute", "leechseed", "gigadrain", "leafstorm", "hiddenpowerice", "focusblast", "synthesis", "hiddenpowerrock"],
		maleOnlyHidden: true,
		tier: "RU",
	},
	torchic: {
		inherit: true,
		randomBattleMoves: ["fireblast", "protect", "batonpass", "substitute", "hiddenpowergrass"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	combusken: {
		randomBattleMoves: ["flareblitz", "skyuppercut", "protect", "swordsdance", "substitute", "batonpass"],
		maleOnlyHidden: true,
		tier: "NU",
	},
	blaziken: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "highjumpkick", "protect", "swordsdance", "substitute", "batonpass", "bravebird"],
		maleOnlyHidden: true,
		tier: "Uber",
	},
	mudkip: {
		inherit: true,
		randomBattleMoves: ["waterfall", "earthpower", "superpower", "icebeam"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	marshtomp: {
		randomBattleMoves: ["waterfall", "earthquake", "superpower", "icepunch", "rockslide", "stealthrock"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	swampert: {
		inherit: true,
		randomBattleMoves: ["surf", "earthquake", "icebeam", "stealthrock", "roar", "superpower", "stoneedge", "rest", "sleeptalk", "hydropump"],
		maleOnlyHidden: true,
		tier: "UU",
	},
	poochyena: {
		inherit: true,
		randomBattleMoves: ["superfang", "foulplay", "suckerpunch", "toxic"],
		tier: "LC",
	},
	mightyena: {
		randomBattleMoves: ["suckerpunch", "crunch", "icefang", "firefang", "howl"],
		tier: "NU",
	},
	zigzagoon: {
		inherit: true,
		randomBattleMoves: ["bellydrum", "extremespeed", "seedbomb", "substitute"],
		tier: "LC",
	},
	linoone: {
		randomBattleMoves: ["bellydrum", "extremespeed", "seedbomb", "substitute", "shadowclaw"],
		tier: "NU",
	},
	wurmple: {
		randomBattleMoves: ["bugbite", "poisonsting", "tackle", "electroweb"],
		tier: "LC",
	},
	silcoon: {
		randomBattleMoves: ["bugbite", "poisonsting", "tackle", "electroweb"],
		tier: "NFE",
	},
	beautifly: {
		randomBattleMoves: ["quiverdance", "bugbuzz", "gigadrain", "hiddenpowerfighting", "hiddenpowerrock", "substitute", "roost"],
		tier: "NU",
	},
	cascoon: {
		randomBattleMoves: ["bugbite", "poisonsting", "tackle", "electroweb"],
		tier: "NFE",
	},
	dustox: {
		randomBattleMoves: ["toxic", "roost", "whirlwind", "bugbuzz", "protect", "sludgebomb", "quiverdance"],
		tier: "NU",
	},
	lotad: {
		inherit: true,
		randomBattleMoves: ["gigadrain", "icebeam", "scald", "substitute", "leechseed"],
		tier: "LC",
	},
	lombre: {
		randomBattleMoves: ["gigadrain", "icebeam", "scald", "substitute", "leechseed"],
		tier: "NFE",
	},
	ludicolo: {
		inherit: true,
		randomBattleMoves: ["raindance", "hydropump", "surf", "gigadrain", "icebeam", "scald", "leechseed", "substitute", "toxic"],
		tier: "NU",
	},
	seedot: {
		inherit: true,
		randomBattleMoves: ["leechseed", "naturepower", "seedbomb", "explosion", "foulplay"],
		tier: "LC",
	},
	nuzleaf: {
		randomBattleMoves: ["foulplay", "naturepower", "seedbomb", "explosion", "swordsdance"],
		tier: "NFE",
	},
	shiftry: {
		randomBattleMoves: ["hiddenpowerfire", "swordsdance", "seedbomb", "suckerpunch", "naturepower", "nastyplot", "gigadrain", "darkpulse"],
		tier: "NU",
	},
	taillow: {
		inherit: true,
		randomBattleMoves: ["bravebird", "facade", "quickattack", "uturn", "protect"],
		tier: "LC",
	},
	swellow: {
		inherit: true,
		randomBattleMoves: ["bravebird", "facade", "quickattack", "uturn", "protect"],
		tier: "NU",
	},
	wingull: {
		randomBattleMoves: ["scald", "icebeam", "hiddenpowergrass", "uturn", "airslash", "hurricane"],
		tier: "LC",
	},
	pelipper: {
		randomBattleMoves: ["scald", "icebeam", "hiddenpowergrass", "uturn", "airslash", "hurricane", "toxic", "roost"],
		tier: "NU",
	},
	ralts: {
		inherit: true,
		randomBattleMoves: ["trickroom", "destinybond", "psychic", "willowisp"],
		tier: "LC",
	},
	kirlia: {
		randomBattleMoves: ["trickroom", "destinybond", "psychic", "willowisp"],
		tier: "NFE",
	},
	gardevoir: {
		inherit: true,
		randomBattleMoves: ["psychic", "focusblast", "shadowball", "trick", "calmmind", "willowisp", "wish", "thunderbolt", "protect", "healingwish"],
		tier: "NU",
	},
	gallade: {
		randomBattleMoves: ["closecombat", "trick", "stoneedge", "shadowsneak", "swordsdance", "bulkup", "drainpunch", "icepunch", "psychocut"],
		tier: "RU",
	},
	surskit: {
		inherit: true,
		randomBattleMoves: ["hydropump", "signalbeam", "hiddenpowerfire", "hiddenpowerfighting", "gigadrain"],
		tier: "LC",
	},
	masquerain: {
		randomBattleMoves: ["hydropump", "bugbuzz", "airslash", "quiverdance", "substitute", "batonpass", "roost"],
		tier: "NU",
	},
	shroomish: {
		inherit: true,
		randomBattleMoves: ["spore", "substitute", "leechseed", "gigadrain", "protect", "toxic", "stunspore"],
		tier: "LC",
	},
	breloom: {
		randomBattleMoves: ["spore", "substitute", "leechseed", "focuspunch", "machpunch", "lowsweep", "bulletseed", "stoneedge", "swordsdance"],
		tier: "OU",
	},
	slakoth: {
		randomBattleMoves: ["doubleedge", "hammerarm", "firepunch", "suckerpunch", "retaliate", "toxic"],
		tier: "LC",
	},
	vigoroth: {
		randomBattleMoves: ["bulkup", "return", "earthquake", "firepunch", "suckerpunch", "slackoff"],
		tier: "NU",
	},
	slaking: {
		inherit: true,
		randomBattleMoves: ["return", "earthquake", "pursuit", "firepunch", "suckerpunch", "doubleedge", "retaliate", "gigaimpact", "hammerarm"],
		tier: "NU",
	},
	nincada: {
		randomBattleMoves: ["xscissor", "toxic", "aerialace", "nightslash"],
		tier: "LC",
	},
	ninjask: {
		randomBattleMoves: ["batonpass", "swordsdance", "substitute", "protect", "xscissor"],
		tier: "NU",
	},
	shedinja: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "willowisp", "xscissor", "shadowsneak", "suckerpunch"],
		tier: "NU",
	},
	whismur: {
		inherit: true,
		randomBattleMoves: ["hypervoice", "fireblast", "shadowball", "icebeam"],
		tier: "LC",
	},
	loudred: {
		randomBattleMoves: ["hypervoice", "fireblast", "shadowball", "icebeam"],
		tier: "NFE",
	},
	exploud: {
		inherit: true,
		randomBattleMoves: ["hypervoice", "overheat", "shadowball", "icebeam", "surf", "focusblast"],
		tier: "NU",
	},
	makuhita: {
		inherit: true,
		randomBattleMoves: ["crosschop", "bulletpunch", "closecombat", "icepunch", "bulkup"],
		tier: "LC",
	},
	hariyama: {
		randomBattleMoves: ["crosschop", "bulletpunch", "closecombat", "icepunch", "stoneedge", "bulkup"],
		tier: "RU",
	},
	nosepass: {
		inherit: true,
		randomBattleMoves: ["stoneedge", "toxic", "stealthrock", "thunderwave"],
		tier: "LC",
	},
	probopass: {
		randomBattleMoves: ["stealthrock", "thunderwave", "toxic", "earthpower", "powergem", "voltswitch"],
		tier: "NU",
	},
	skitty: {
		inherit: true,
		randomBattleMoves: ["return", "suckerpunch", "zenheadbutt", "thunderwave", "fakeout"],
		tier: "LC",
	},
	delcatty: {
		inherit: true,
		randomBattleMoves: ["return", "suckerpunch", "zenheadbutt", "thunderwave", "fakeout", "wish"],
		tier: "NU",
	},
	sableye: {
		inherit: true,
		randomBattleMoves: ["recover", "willowisp", "taunt", "trick", "toxic", "nightshade", "seismictoss"],
		tier: "UU",
	},
	mawile: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "ironhead", "firefang", "crunch", "batonpass", "substitute"],
		tier: "NU",
	},
	aron: {
		randomBattleMoves: ["headsmash", "ironhead", "earthquake", "superpower", "stealthrock"],
		tier: "LC",
	},
	lairon: {
		randomBattleMoves: ["headsmash", "ironhead", "earthquake", "superpower", "stealthrock"],
		tier: "NU",
	},
	aggron: {
		inherit: true,
		randomBattleMoves: ["rockpolish", "headsmash", "earthquake", "superpower", "heavyslam", "aquatail", "icepunch", "stealthrock", "thunderwave"],
		tier: "RU",
	},
	meditite: {
		inherit: true,
		randomBattleMoves: ["highjumpkick", "psychocut", "icepunch", "thunderpunch", "trick", "fakeout", "bulletpunch", "drainpunch"],
		tier: "LC Uber",
	},
	medicham: {
		randomBattleMoves: ["highjumpkick", "drainpunch", "psychocut", "icepunch", "thunderpunch", "trick", "fakeout", "bulletpunch"],
		tier: "RU",
	},
	electrike: {
		randomBattleMoves: ["voltswitch", "thunderbolt", "hiddenpowerice", "switcheroo", "flamethrower"],
		tier: "LC",
	},
	manectric: {
		inherit: true,
		randomBattleMoves: ["voltswitch", "thunderbolt", "hiddenpowerice", "overheat", "switcheroo", "flamethrower"],
		tier: "RU",
	},
	plusle: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "thunderbolt", "substitute", "batonpass", "hiddenpowerice"],
		tier: "NU",
	},
	minun: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "thunderbolt", "substitute", "batonpass", "hiddenpowerice"],
		tier: "NU",
	},
	volbeat: {
		randomBattleMoves: ["tailglow", "batonpass", "substitute", "bugbuzz", "thunderwave", "encore"],
		tier: "NU",
	},
	illumise: {
		randomBattleMoves: ["substitute", "batonpass", "wish", "bugbuzz", "encore", "thunderbolt"],
		tier: "NU",
	},
	budew: {
		randomBattleMoves: ["spikes", "sludgebomb", "sleeppowder", "gigadrain", "stunspore", "rest"],
		tier: "LC",
	},
	roselia: {
		inherit: true,
		randomBattleMoves: ["spikes", "toxicspikes", "sleeppowder", "gigadrain", "stunspore", "rest", "sludgebomb"],
		tier: "NU",
	},
	roserade: {
		randomBattleMoves: ["sludgebomb", "gigadrain", "sleeppowder", "leafstorm", "spikes", "toxicspikes", "rest", "synthesis", "hiddenpowerfire"],
		tier: "UU",
	},
	gulpin: {
		inherit: true,
		randomBattleMoves: ["stockpile", "sludgebomb", "icebeam", "toxic", "painsplit", "yawn", "encore"],
		tier: "LC",
	},
	swalot: {
		randomBattleMoves: ["stockpile", "sludgebomb", "icebeam", "toxic", "yawn", "encore", "earthquake"],
		tier: "NU",
	},
	carvanha: {
		inherit: true,
		randomBattleMoves: ["protect", "hydropump", "icebeam", "waterfall", "crunch", "hiddenpowergrass", "aquajet"],
		tier: "LC",
	},
	sharpedo: {
		randomBattleMoves: ["protect", "hydropump", "icebeam", "crunch", "earthquake", "waterfall", "hiddenpowergrass", "aquajet"],
		tier: "UU",
	},
	wailmer: {
		randomBattleMoves: ["waterspout", "surf", "hydropump", "icebeam", "hiddenpowergrass", "hiddenpowerelectric"],
		tier: "LC",
	},
	wailord: {
		inherit: true,
		randomBattleMoves: ["waterspout", "surf", "hydropump", "icebeam", "hiddenpowergrass", "hiddenpowerelectric"],
		tier: "NU",
	},
	numel: {
		inherit: true,
		randomBattleMoves: ["curse", "earthquake", "rockslide", "fireblast", "flamecharge", "rest", "sleeptalk", "stockpile"],
		tier: "LC",
	},
	camerupt: {
		randomBattleMoves: ["rockpolish", "fireblast", "earthpower", "stoneedge", "lavaplume", "stealthrock", "earthquake"],
		tier: "NU",
	},
	torkoal: {
		randomBattleMoves: ["rapidspin", "stealthrock", "yawn", "lavaplume", "earthquake", "toxic", "willowisp"],
		tier: "NU",
	},
	spoink: {
		inherit: true,
		randomBattleMoves: ["psychic", "reflect", "lightscreen", "thunderwave", "trick", "healbell"],
		tier: "LC",
	},
	grumpig: {
		randomBattleMoves: ["calmmind", "psychic", "focusblast", "shadowball", "thunderwave", "trick", "healbell"],
		tier: "NU",
	},
	spinda: {
		inherit: true,
		randomBattleMoves: ["wish", "protect", "return", "superpower", "suckerpunch"],
		tier: "NU",
	},
	trapinch: {
		inherit: true,
		randomBattleMoves: ["earthquake", "rockslide", "crunch", "quickattack", "superpower"],
		tier: "LC",
	},
	vibrava: {
		randomBattleMoves: ["substitute", "earthquake", "outrage", "roost", "uturn", "superpower"],
		tier: "NFE",
	},
	flygon: {
		inherit: true,
		randomBattleMoves: ["earthquake", "outrage", "dragonclaw", "uturn", "roost", "substitute", "stoneedge", "firepunch", "superpower"],
		tier: "UU",
	},
	cacnea: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "spikes", "suckerpunch", "seedbomb", "drainpunch"],
		tier: "LC",
	},
	cacturne: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "spikes", "suckerpunch", "seedbomb", "drainpunch"],
		tier: "NU",
	},
	swablu: {
		inherit: true,
		randomBattleMoves: ["roost", "toxic", "cottonguard", "return"],
		tier: "LC",
	},
	altaria: {
		inherit: true,
		randomBattleMoves: ["dragondance", "outrage", "dragonclaw", "earthquake", "roost", "fireblast"],
		tier: "NU",
	},
	zangoose: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "closecombat", "nightslash", "quickattack", "facade"],
		tier: "NU",
	},
	seviper: {
		inherit: true,
		randomBattleMoves: ["sludgebomb", "flamethrower", "gigadrain", "switcheroo", "earthquake", "suckerpunch", "aquatail"],
		tier: "NU",
	},
	lunatone: {
		inherit: true,
		randomBattleMoves: ["psychic", "earthpower", "stealthrock", "rockpolish", "batonpass", "calmmind", "icebeam", "hiddenpowerrock", "moonlight"],
		tier: "NU",
	},
	solrock: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "explosion", "stoneedge", "zenheadbutt", "earthquake", "batonpass", "willowisp", "rockpolish", "morningsun"],
		tier: "NU",
	},
	barboach: {
		randomBattleMoves: ["dragondance", "waterfall", "earthquake", "return"],
		tier: "LC",
	},
	whiscash: {
		inherit: true,
		randomBattleMoves: ["dragondance", "waterfall", "earthquake", "stoneedge"],
		tier: "NU",
	},
	corphish: {
		inherit: true,
		randomBattleMoves: ["dragondance", "waterfall", "crunch", "superpower", "swordsdance"],
		tier: "LC",
	},
	crawdaunt: {
		inherit: true,
		randomBattleMoves: ["dragondance", "waterfall", "crunch", "superpower", "swordsdance"],
		tier: "RU",
	},
	baltoy: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "earthquake", "toxic", "psychic", "reflect", "lightscreen", "icebeam", "rapidspin"],
		tier: "LC",
	},
	claydol: {
		randomBattleMoves: ["stealthrock", "toxic", "psychic", "icebeam", "earthquake", "rapidspin", "reflect", "lightscreen"],
		tier: "UU",
	},
	lileep: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "recover", "ancientpower", "hiddenpowerfire", "gigadrain", "stockpile"],
		tier: "LC",
	},
	cradily: {
		randomBattleMoves: ["stealthrock", "recover", "stockpile", "seedbomb", "rockslide", "earthquake", "curse", "swordsdance"],
		tier: "NU",
	},
	anorith: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "brickbreak", "toxic", "xscissor", "rockslide", "swordsdance", "rockpolish"],
		tier: "LC",
	},
	armaldo: {
		randomBattleMoves: ["stealthrock", "stoneedge", "toxic", "xscissor", "swordsdance", "earthquake", "superpower"],
		tier: "NU",
	},
	feebas: {
		inherit: true,
		randomBattleMoves: ["protect", "confuseray", "hypnosis", "scald", "toxic"],
		tier: "LC",
	},
	milotic: {
		inherit: true,
		randomBattleMoves: ["recover", "scald", "hypnosis", "toxic", "icebeam", "dragontail", "rest", "sleeptalk", "hiddenpowergrass"],
		tier: "UU",
	},
	castform: {
		tier: "NU",
	},
	castformsunny: {
		randomBattleMoves: ["sunnyday", "weatherball", "solarbeam", "icebeam"],
		battleOnly: true,
	},
	castformrainy: {
		randomBattleMoves: ["raindance", "weatherball", "thunder", "hurricane"],
		battleOnly: true,
	},
	castformsnowy: {
		battleOnly: true,
	},
	kecleon: {
		randomBattleMoves: ["stealthrock", "recover", "return", "thunderwave", "suckerpunch"],
		tier: "NU",
	},
	shuppet: {
		inherit: true,
		randomBattleMoves: ["trickroom", "destinybond", "taunt", "shadowsneak", "willowisp"],
		tier: "LC",
	},
	banette: {
		inherit: true,
		randomBattleMoves: ["trickroom", "destinybond", "taunt", "shadowclaw", "willowisp"],
		tier: "NU",
	},
	duskull: {
		inherit: true,
		randomBattleMoves: ["willowisp", "shadowsneak", "icebeam", "painsplit", "substitute", "nightshade"],
		tier: "LC",
	},
	dusclops: {
		randomBattleMoves: ["willowisp", "shadowsneak", "icebeam", "painsplit", "substitute", "seismictoss"],
		tier: "UU",
	},
	dusknoir: {
		randomBattleMoves: ["willowisp", "shadowsneak", "icebeam", "painsplit", "substitute", "earthquake", "focuspunch"],
		tier: "RU",
	},
	tropius: {
		inherit: true,
		randomBattleMoves: ["leechseed", "substitute", "airslash", "gigadrain", "earthquake", "hiddenpowerfire", "roost", "leafstorm"],
		tier: "NU",
	},
	chingling: {
		randomBattleMoves: ["hypnosis", "reflect", "lightscreen", "toxic", "wish", "psychic"],
		tier: "LC",
	},
	chimecho: {
		inherit: true,
		randomBattleMoves: ["hypnosis", "toxic", "wish", "psychic", "thunderwave", "recover", "calmmind", "shadowball", "hiddenpowerfighting", "healingwish"],
		tier: "NU",
	},
	absol: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "suckerpunch", "nightslash", "psychocut", "superpower", "pursuit", "megahorn"],
		tier: "RU",
	},
	snorunt: {
		inherit: true,
		randomBattleMoves: ["spikes", "icebeam", "hiddenpowerground", "iceshard", "crunch"],
		tier: "LC",
	},
	glalie: {
		randomBattleMoves: ["spikes", "icebeam", "iceshard", "crunch", "earthquake"],
		tier: "NU",
	},
	froslass: {
		randomBattleMoves: ["icebeam", "spikes", "destinybond", "shadowball", "substitute", "taunt", "thunderbolt", "thunderwave"],
		tier: "BL",
	},
	spheal: {
		inherit: true,
		randomBattleMoves: ["substitute", "protect", "toxic", "surf", "icebeam"],
		tier: "LC",
	},
	sealeo: {
		randomBattleMoves: ["substitute", "protect", "toxic", "surf", "icebeam"],
		tier: "NFE",
	},
	walrein: {
		inherit: true,
		randomBattleMoves: ["substitute", "protect", "toxic", "surf", "icebeam", "roar"],
		tier: "NU",
	},
	clamperl: {
		randomBattleMoves: ["shellsmash", "icebeam", "surf", "hiddenpowergrass", "hiddenpowerelectric", "substitute"],
		tier: "LC",
	},
	huntail: {
		randomBattleMoves: ["shellsmash", "return", "hydropump", "batonpass", "suckerpunch"],
		tier: "NU",
	},
	gorebyss: {
		randomBattleMoves: ["shellsmash", "batonpass", "hydropump", "icebeam", "hiddenpowergrass", "substitute"],
		tier: "NU",
	},
	relicanth: {
		randomBattleMoves: ["headsmash", "waterfall", "earthquake", "doubleedge", "stealthrock"],
		tier: "NU",
	},
	luvdisc: {
		randomBattleMoves: ["surf", "icebeam", "toxic", "sweetkiss", "protect"],
		tier: "NU",
	},
	bagon: {
		inherit: true,
		randomBattleMoves: ["outrage", "dragondance", "firefang", "rockslide", "dragonclaw"],
		tier: "LC",
	},
	shelgon: {
		randomBattleMoves: ["outrage", "brickbreak", "dragonclaw", "dragondance"],
		tier: "NU",
	},
	salamence: {
		inherit: true,
		randomBattleMoves: ["outrage", "fireblast", "earthquake", "dracometeor", "roost", "dragondance", "dragonclaw"],
		tier: "OU",
	},
	beldum: {
		randomBattleMoves: ["ironhead", "zenheadbutt", "headbutt", "irondefense"],
		tier: "LC",
	},
	metang: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "meteormash", "toxic", "earthquake", "bulletpunch"],
		tier: "NU",
	},
	metagross: {
		inherit: true,
		randomBattleMoves: ["meteormash", "earthquake", "agility", "stealthrock", "zenheadbutt", "bulletpunch", "trick"],
		tier: "OU",
	},
	regirock: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "thunderwave", "stoneedge", "earthquake", "curse", "rest", "sleeptalk", "rockslide", "toxic"],
		tier: "NU",
	},
	regice: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "icebeam", "thunderbolt", "rest", "sleeptalk", "focusblast"],
		tier: "NU",
	},
	registeel: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "ironhead", "curse", "rest", "thunderwave", "toxic"],
		tier: "UU",
	},
	latias: {
		inherit: true,
		randomBattleMoves: ["dragonpulse", "surf", "thunderbolt", "roost", "calmmind", "healingwish"],
		tier: "OU",
	},
	latios: {
		inherit: true,
		randomBattleMoves: ["dracometeor", "dragonpulse", "surf", "thunderbolt", "psyshock", "roost"],
		tier: "OU",
	},
	kyogre: {
		inherit: true,
		randomBattleMoves: ["waterspout", "surf", "thunder", "icebeam", "calmmind", "rest", "sleeptalk"],
		tier: "Uber",
	},
	groudon: {
		inherit: true,
		randomBattleMoves: ["earthquake", "dragontail", "stealthrock", "stoneedge", "swordsdance", "rockpolish", "thunderwave", "firepunch"],
		tier: "Uber",
	},
	rayquaza: {
		inherit: true,
		randomBattleMoves: ["outrage", "vcreate", "extremespeed", "dragondance", "swordsdance", "dracometeor", "dragonclaw"],
		tier: "Uber",
	},
	jirachi: {
		inherit: true,
		randomBattleMoves: ["bodyslam", "ironhead", "firepunch", "thunderwave", "stealthrock", "wish", "uturn", "calmmind", "psychic", "thunder", "icepunch", "flashcannon", "meteormash"],
		tier: "OU",
	},
	deoxys: {
		inherit: true,
		randomBattleMoves: ["psychoboost", "superpower", "extremespeed", "icebeam", "thunderbolt", "firepunch", "spikes", "stealthrock"],
		tier: "Uber",
	},
	deoxysattack: {
		randomBattleMoves: ["psychoboost", "superpower", "extremespeed", "icebeam", "thunderbolt", "firepunch", "spikes", "stealthrock"],
		eventOnly: true,
		tier: "Uber",
	},
	deoxysdefense: {
		randomBattleMoves: ["spikes", "stealthrock", "recover", "taunt", "toxic", "agility", "seismictoss", "magiccoat"],
		eventOnly: true,
		tier: "Uber",
	},
	deoxysspeed: {
		randomBattleMoves: ["spikes", "stealthrock", "superpower", "icebeam", "psychoboost", "taunt", "lightscreen", "reflect", "magiccoat", "trick"],
		eventOnly: true,
		tier: "Uber",
	},
	turtwig: {
		inherit: true,
		randomBattleMoves: ["reflect", "lightscreen", "stealthrock", "seedbomb", "substitute", "leechseed", "toxic"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	grotle: {
		randomBattleMoves: ["reflect", "lightscreen", "stealthrock", "seedbomb", "substitute", "leechseed", "toxic"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	torterra: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "earthquake", "woodhammer", "stoneedge", "synthesis", "leechseed"],
		maleOnlyHidden: true,
		tier: "NU",
	},
	chimchar: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "overheat", "hiddenpowergrass", "fakeout"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	monferno: {
		randomBattleMoves: ["stealthrock", "overheat", "hiddenpowergrass", "fakeout", "vacuumwave"],
		maleOnlyHidden: true,
		tier: "NU",
	},
	infernape: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "fireblast", "closecombat", "uturn", "grassknot", "stoneedge", "machpunch", "swordsdance", "nastyplot", "flareblitz", "hiddenpowerice", "thunderpunch"],
		maleOnlyHidden: true,
		tier: "OU",
	},
	piplup: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "hydropump", "scald", "icebeam", "hiddenpowerelectric", "hiddenpowerfire", "yawn"],
		maleOnlyHidden: true,
		tier: "LC",
	},
	prinplup: {
		randomBattleMoves: ["stealthrock", "hydropump", "scald", "icebeam", "hiddenpowerelectric", "hiddenpowerfire", "yawn"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	empoleon: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "hydropump", "scald", "icebeam", "hiddenpowerelectric", "hiddenpowerfire", "roar", "grassknot"],
		maleOnlyHidden: true,
		tier: "UU",
	},
	starly: {
		inherit: true,
		randomBattleMoves: ["bravebird", "return", "uturn", "pursuit"],
		tier: "LC",
	},
	staravia: {
		randomBattleMoves: ["bravebird", "return", "uturn", "pursuit"],
		tier: "NFE",
	},
	staraptor: {
		randomBattleMoves: ["bravebird", "closecombat", "return", "uturn", "quickattack", "substitute", "roost", "doubleedge"],
		tier: "BL",
	},
	bidoof: {
		inherit: true,
		randomBattleMoves: ["return", "aquatail", "curse", "quickattack", "stealthrock"],
		tier: "LC",
	},
	bibarel: {
		randomBattleMoves: ["return", "waterfall", "curse", "quickattack", "stealthrock"],
		tier: "NU",
	},
	kricketot: {
		randomBattleMoves: ["endeavor", "mudslap", "bugbite", "strugglebug"],
		tier: "LC",
	},
	kricketune: {
		randomBattleMoves: ["swordsdance", "bugbite", "aerialace", "brickbreak", "toxic"],
		tier: "NU",
	},
	shinx: {
		randomBattleMoves: ["wildcharge", "icefang", "firefang", "crunch"],
		tier: "LC",
	},
	luxio: {
		randomBattleMoves: ["wildcharge", "icefang", "firefang", "crunch"],
		tier: "NFE",
	},
	luxray: {
		randomBattleMoves: ["wildcharge", "icefang", "firefang", "crunch", "superpower"],
		tier: "NU",
	},
	cranidos: {
		inherit: true,
		randomBattleMoves: ["headsmash", "rockslide", "earthquake", "zenheadbutt", "firepunch", "rockpolish", "crunch"],
		tier: "LC",
	},
	rampardos: {
		randomBattleMoves: ["headsmash", "rockslide", "earthquake", "zenheadbutt", "firepunch", "rockpolish", "crunch"],
		tier: "NU",
	},
	shieldon: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "metalburst", "fireblast", "icebeam", "protect", "toxic", "roar"],
		tier: "LC",
	},
	bastiodon: {
		randomBattleMoves: ["stealthrock", "metalburst", "fireblast", "icebeam", "protect", "toxic", "roar"],
		tier: "NU",
	},
	burmy: {
		randomBattleMoves: ["bugbite", "hiddenpowerice", "electroweb", "protect"],
		tier: "LC",
	},
	wormadam: {
		randomBattleMoves: ["leafstorm", "gigadrain", "signalbeam", "hiddenpowerice", "hiddenpowerrock", "toxic", "psychic", "protect"],
		tier: "NU",
	},
	wormadamsandy: {
		randomBattleMoves: ["earthquake", "toxic", "rockblast", "protect", "stealthrock"],
		tier: "NU",
	},
	wormadamtrash: {
		randomBattleMoves: ["stealthrock", "toxic", "ironhead", "protect"],
		tier: "NU",
	},
	mothim: {
		randomBattleMoves: ["quiverdance", "bugbuzz", "airslash", "gigadrain", "roost"],
		tier: "NU",
	},
	combee: {
		randomBattleMoves: ["bugbuzz", "aircutter", "endeavor", "ominouswind"],
		tier: "LC",
	},
	vespiquen: {
		randomBattleMoves: ["substitute", "roost", "toxic", "attackorder", "protect", "defendorder"],
		tier: "NU",
	},
	pachirisu: {
		randomBattleMoves: ["lightscreen", "thunderwave", "superfang", "toxic", "voltswitch"],
		tier: "NU",
	},
	buizel: {
		randomBattleMoves: ["waterfall", "aquajet", "switcheroo", "brickbreak", "bulkup", "batonpass", "icepunch"],
		tier: "LC",
	},
	floatzel: {
		randomBattleMoves: ["waterfall", "aquajet", "switcheroo", "brickbreak", "bulkup", "batonpass", "icepunch", "crunch"],
		tier: "NU",
	},
	cherubi: {
		randomBattleMoves: ["sunnyday", "solarbeam", "weatherball", "hiddenpowerice"],
		tier: "LC",
	},
	cherrim: {
		randomBattleMoves: ["sunnyday", "solarbeam", "weatherball", "hiddenpowerice"],
		tier: "NU",
	},
	cherrimsunshine: {
		randomBattleMoves: ["sunnyday", "solarbeam", "gigadrain", "weatherball", "hiddenpowerice"],
		randomDoubleBattleMoves: ["sunnyday", "solarbeam", "gigadrain", "weatherball", "protect"],
		battleOnly: true,
	},
	shellos: {
		randomBattleMoves: ["scald", "clearsmog", "recover", "toxic", "icebeam"],
		tier: "LC",
	},
	gastrodon: {
		randomBattleMoves: ["earthpower", "icebeam", "scald", "toxic", "recover", "clearsmog"],
		tier: "OU",
	},
	drifloon: {
		randomBattleMoves: ["acrobatics", "shadowball", "substitute", "calmmind", "hypnosis", "hiddenpowerfighting", "thunderbolt", "destinybond", "willowisp", "stockpile", "batonpass"],
		tier: "LC",
	},
	drifblim: {
		randomBattleMoves: ["acrobatics", "shadowball", "substitute", "calmmind", "hypnosis", "hiddenpowerfighting", "thunderbolt", "destinybond", "willowisp", "stockpile", "batonpass"],
		tier: "NU",
	},
	buneary: {
		randomBattleMoves: ["fakeout", "return", "switcheroo", "thunderpunch", "jumpkick", "firepunch", "icepunch", "healingwish"],
		tier: "LC",
	},
	lopunny: {
		randomBattleMoves: ["fakeout", "return", "switcheroo", "thunderpunch", "jumpkick", "firepunch", "icepunch", "healingwish"],
		tier: "NU",
	},
	glameow: {
		randomBattleMoves: ["fakeout", "uturn", "suckerpunch", "hypnosis", "quickattack", "return", "foulplay"],
		tier: "LC",
	},
	purugly: {
		randomBattleMoves: ["fakeout", "uturn", "suckerpunch", "hypnosis", "quickattack", "return"],
		tier: "NU",
	},
	stunky: {
		randomBattleMoves: ["pursuit", "suckerpunch", "crunch", "fireblast", "explosion", "taunt"],
		tier: "LC",
	},
	skuntank: {
		randomBattleMoves: ["pursuit", "suckerpunch", "crunch", "fireblast", "explosion", "taunt", "poisonjab"],
		tier: "NU",
	},
	bronzor: {
		randomBattleMoves: ["stealthrock", "psychic", "toxic", "hypnosis", "reflect", "lightscreen", "trickroom", "trick"],
		tier: "LC",
	},
	bronzong: {
		randomBattleMoves: ["stealthrock", "psychic", "earthquake", "toxic", "hypnosis", "reflect", "lightscreen", "trickroom", "explosion"],
		tier: "UU",
	},
	chatot: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "hypervoice", "heatwave", "hiddenpowergrass", "substitute", "chatter"],
		tier: "NU",
	},
	spiritomb: {
		inherit: true,
		randomBattleMoves: ["shadowsneak", "suckerpunch", "pursuit", "trick", "willowisp", "calmmind", "darkpulse", "rest", "sleeptalk"],
		tier: "RU",
	},
	gible: {
		randomBattleMoves: ["outrage", "dragonclaw", "earthquake", "fireblast", "stoneedge", "stealthrock"],
		tier: "LC",
	},
	gabite: {
		randomBattleMoves: ["outrage", "dragonclaw", "earthquake", "fireblast", "stoneedge", "stealthrock"],
		tier: "NU",
	},
	garchomp: {
		inherit: true,
		randomBattleMoves: ["outrage", "dragonclaw", "earthquake", "stoneedge", "firefang", "swordsdance"],
		tier: "OU",
	},
	riolu: {
		inherit: true,
		randomBattleMoves: ["crunch", "roar", "copycat", "drainpunch"],
		tier: "LC",
	},
	lucario: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "closecombat", "crunch", "extremespeed", "icepunch", "bulletpunch", "nastyplot", "aurasphere", "darkpulse", "vacuumwave"],
		tier: "OU",
	},
	hippopotas: {
		randomBattleMoves: ["earthquake", "slackoff", "whirlwind", "stealthrock", "protect", "toxic"],
		tier: "LC",
	},
	hippowdon: {
		randomBattleMoves: ["earthquake", "slackoff", "whirlwind", "stealthrock", "protect", "toxic", "icefang", "stoneedge", "stockpile"],
		tier: "OU",
	},
	skorupi: {
		randomBattleMoves: ["toxicspikes", "xscissor", "poisonjab", "protect"],
		tier: "LC",
	},
	drapion: {
		randomBattleMoves: ["crunch", "whirlwind", "toxicspikes", "pursuit", "earthquake", "aquatail", "swordsdance", "poisonjab", "rest", "sleeptalk"],
		tier: "RU",
	},
	croagunk: {
		inherit: true,
		randomBattleMoves: ["fakeout", "vacuumwave", "suckerpunch", "drainpunch", "darkpulse"],
		tier: "LC",
	},
	toxicroak: {
		randomBattleMoves: ["fakeout", "suckerpunch", "drainpunch", "bulkup", "substitute", "swordsdance", "crosschop", "icepunch"],
		tier: "OU",
	},
	carnivine: {
		randomBattleMoves: ["swordsdance", "powerwhip", "return", "sleeppowder", "substitute", "leechseed"],
		tier: "NU",
	},
	finneon: {
		randomBattleMoves: ["surf", "uturn", "icebeam", "hiddenpowerelectric", "hiddenpowergrass", "raindance"],
		tier: "LC",
	},
	lumineon: {
		randomBattleMoves: ["surf", "uturn", "icebeam", "hiddenpowerelectric", "hiddenpowergrass", "raindance"],
		tier: "NU",
	},
	snover: {
		randomBattleMoves: ["blizzard", "iceshard", "gigadrain", "leechseed", "substitute"],
		tier: "LC",
	},
	abomasnow: {
		randomBattleMoves: ["blizzard", "iceshard", "gigadrain", "leechseed", "substitute", "focusblast"],
		tier: "UU",
	},
	rotom: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "shadowball", "substitute", "painsplit", "hiddenpowerice", "hiddenpowerfighting", "willowisp", "rest", "sleeptalk", "trick"],
		tier: "RU",
	},
	rotomheat: {
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "substitute", "painsplit", "hiddenpowerice", "willowisp", "rest", "sleeptalk", "overheat", "trick"],
		tier: "UU",
	},
	rotomwash: {
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "substitute", "painsplit", "hiddenpowerice", "willowisp", "rest", "sleeptalk", "trick", "hydropump"],
		tier: "OU",
	},
	rotomfrost: {
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "substitute", "painsplit", "hiddenpowerfighting", "willowisp", "rest", "sleeptalk", "trick", "blizzard"],
		tier: "NU",
	},
	rotomfan: {
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "thunderwave", "substitute", "painsplit", "hiddenpowerfighting", "willowisp", "rest", "sleeptalk", "trick", "airslash", "confuseray"],
		tier: "NU",
	},
	rotommow: {
		randomBattleMoves: ["thunderbolt", "discharge", "voltswitch", "substitute", "painsplit", "hiddenpowerice", "willowisp", "rest", "sleeptalk", "trick", "leafstorm"],
		tier: "RU",
	},
	uxie: {
		inherit: true,
		randomBattleMoves: ["reflect", "lightscreen", "uturn", "psychic", "thunderwave", "yawn", "healbell", "stealthrock", "trick", "toxic"],
		tier: "RU",
	},
	mesprit: {
		inherit: true,
		randomBattleMoves: ["calmmind", "psychic", "thunderbolt", "icebeam", "substitute", "uturn", "trick", "stealthrock"],
		tier: "RU",
	},
	azelf: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "psychic", "fireblast", "grassknot", "thunderbolt", "icepunch", "uturn", "trick", "taunt", "stealthrock", "explosion"],
		tier: "UU",
	},
	dialga: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "dracometeor", "dragonpulse", "roar", "dragontail", "thunderbolt", "outrage", "bulkup", "fireblast", "aurasphere", "rest", "sleeptalk", "dragonclaw"],
		tier: "Uber",
	},
	palkia: {
		inherit: true,
		randomBattleMoves: ["spacialrend", "dracometeor", "surf", "hydropump", "thunderbolt", "outrage", "fireblast"],
		tier: "Uber",
	},
	heatran: {
		inherit: true,
		randomBattleMoves: ["substitute", "fireblast", "lavaplume", "willowisp", "stealthrock", "earthpower", "hiddenpowergrass", "hiddenpowerice", "protect", "toxic", "roar"],
		tier: "OU",
	},
	regigigas: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "substitute", "return", "drainpunch", "earthquake", "firepunch", "toxic", "confuseray"],
		tier: "NU",
	},
	giratina: {
		inherit: true,
		randomBattleMoves: ["rest", "sleeptalk", "dragontail", "roar", "willowisp", "calmmind", "dragonpulse", "shadowball"],
		tier: "Uber",
	},
	giratinaorigin: {
		randomBattleMoves: ["dracometeor", "shadowsneak", "dragontail", "hiddenpowerfire", "willowisp", "calmmind", "substitute", "dragonpulse", "shadowball", "aurasphere", "outrage"],
		eventOnly: true,
		requiredItem: "Griseous Orb",
		tier: "Uber",
	},
	cresselia: {
		inherit: true,
		randomBattleMoves: ["moonlight", "psychic", "icebeam", "thunderwave", "toxic", "lunardance", "rest", "sleeptalk", "calmmind", "reflect", "lightscreen"],
		tier: "BL2",
	},
	phione: {
		inherit: true,
		randomBattleMoves: ["raindance", "scald", "uturn", "rest", "icebeam", "surf"],
		tier: "NU",
	},
	manaphy: {
		inherit: true,
		randomBattleMoves: ["tailglow", "surf", "icebeam", "grassknot"],
		tier: "Uber",
	},
	darkrai: {
		inherit: true,
		randomBattleMoves: ["darkvoid", "darkpulse", "focusblast", "nastyplot", "substitute", "trick"],
		tier: "Uber",
	},
	shaymin: {
		inherit: true,
		randomBattleMoves: ["seedflare", "earthpower", "airslash", "hiddenpowerfire", "rest", "substitute", "leechseed"],
		tier: "UU",
	},
	shayminsky: {
		randomBattleMoves: ["seedflare", "earthpower", "airslash", "hiddenpowerice", "hiddenpowerfire", "substitute", "leechseed"],
		eventOnly: true,
		tier: "Uber",
	},
	arceus: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "extremespeed", "shadowclaw", "earthquake", "recover"],
		tier: "Uber",
	},
	arceusbug: {
		randomBattleMoves: ["swordsdance", "xscissor", "stoneedge", "recover", "calmmind", "judgment", "icebeam", "fireblast"],
		eventOnly: true,
		requiredItem: "Insect Plate",
	},
	arceusdark: {
		randomBattleMoves: ["calmmind", "judgment", "recover", "refresh"],
		eventOnly: true,
		requiredItem: "Dread Plate",
	},
	arceusdragon: {
		randomBattleMoves: ["swordsdance", "outrage", "extremespeed", "earthquake", "recover"],
		eventOnly: true,
		requiredItem: "Draco Plate",
	},
	arceuselectric: {
		randomBattleMoves: ["calmmind", "judgment", "recover", "icebeam"],
		eventOnly: true,
		requiredItem: "Zap Plate",
	},
	arceusfighting: {
		randomBattleMoves: ["calmmind", "judgment", "icebeam", "darkpulse", "recover", "toxic"],
		eventOnly: true,
		requiredItem: "Fist Plate",
	},
	arceusfire: {
		randomBattleMoves: ["calmmind", "flamethrower", "fireblast", "thunderbolt", "recover"],
		eventOnly: true,
		requiredItem: "Flame Plate",
	},
	arceusflying: {
		randomBattleMoves: ["calmmind", "judgment", "refresh", "recover"],
		eventOnly: true,
		requiredItem: "Sky Plate",
	},
	arceusghost: {
		randomBattleMoves: ["calmmind", "judgment", "focusblast", "flamethrower", "recover", "swordsdance", "shadowclaw", "brickbreak", "willowisp", "roar"],
		eventOnly: true,
		requiredItem: "Spooky Plate",
	},
	arceusgrass: {
		randomBattleMoves: ["calmmind", "icebeam", "judgment", "earthpower", "recover", "stealthrock", "thunderwave"],
		eventOnly: true,
		requiredItem: "Meadow Plate",
	},
	arceusground: {
		randomBattleMoves: ["swordsdance", "earthquake", "stoneedge", "recover", "calmmind", "judgment", "icebeam", "stealthrock"],
		eventOnly: true,
		requiredItem: "Earth Plate",
	},
	arceusice: {
		randomBattleMoves: ["calmmind", "judgment", "icebeam", "thunderbolt", "focusblast", "recover"],
		eventOnly: true,
		requiredItem: "Icicle Plate",
	},
	arceuspoison: {
		randomBattleMoves: ["calmmind", "judgment", "sludgebomb", "focusblast", "fireblast", "recover", "willowisp", "icebeam", "stealthrock"],
		eventOnly: true,
		requiredItem: "Toxic Plate",
	},
	arceuspsychic: {
		randomBattleMoves: ["calmmind", "psyshock", "focusblast", "recover", "willowisp", "judgment"],
		eventOnly: true,
		requiredItem: "Mind Plate",
	},
	arceusrock: {
		randomBattleMoves: ["calmmind", "judgment", "recover", "willowisp", "swordsdance", "stoneedge", "earthquake", "refresh"],
		eventOnly: true,
		requiredItem: "Stone Plate",
	},
	arceussteel: {
		randomBattleMoves: ["calmmind", "judgment", "recover", "roar", "willowisp", "swordsdance", "ironhead"],
		eventOnly: true,
		requiredItem: "Iron Plate",
	},
	arceuswater: {
		randomBattleMoves: ["swordsdance", "waterfall", "extremespeed", "dragonclaw", "recover", "calmmind", "judgment", "icebeam", "fireblast"],
		eventOnly: true,
		requiredItem: "Splash Plate",
	},
	victini: {
		inherit: true,
		randomBattleMoves: ["vcreate", "boltstrike", "uturn", "psychic", "focusblast", "blueflare"],
		tier: "UU",
	},
	snivy: {
		inherit: true,
		randomBattleMoves: ["leafstorm", "hiddenpowerfire", "substitute", "leechseed", "hiddenpowerice", "gigadrain"],
		tier: "LC",
	},
	servine: {
		randomBattleMoves: ["leafstorm", "hiddenpowerfire", "substitute", "leechseed", "hiddenpowerice", "gigadrain"],
		tier: "NFE",
	},
	serperior: {
		inherit: true,
		randomBattleMoves: ["leafstorm", "hiddenpowerfire", "substitute", "leechseed", "dragonpulse", "gigadrain"],
		tier: "NU",
	},
	tepig: {
		randomBattleMoves: ["flamecharge", "flareblitz", "wildcharge", "superpower", "headsmash"],
		tier: "LC",
	},
	pignite: {
		randomBattleMoves: ["flamecharge", "flareblitz", "wildcharge", "superpower", "headsmash"],
		tier: "NFE",
	},
	emboar: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "superpower", "flamecharge", "wildcharge", "headsmash", "earthquake", "fireblast"],
		tier: "RU",
	},
	oshawott: {
		randomBattleMoves: ["swordsdance", "waterfall", "aquajet", "xscissor"],
		tier: "LC",
	},
	dewott: {
		randomBattleMoves: ["swordsdance", "waterfall", "aquajet", "xscissor"],
		tier: "NFE",
	},
	samurott: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "aquajet", "waterfall", "megahorn", "superpower"],
		tier: "NU",
	},
	patrat: {
		randomBattleMoves: ["swordsdance", "batonpass", "substitute", "hypnosis", "return", "superfang"],
		tier: "LC",
	},
	watchog: {
		randomBattleMoves: ["swordsdance", "batonpass", "substitute", "hypnosis", "return", "superfang"],
		tier: "NU",
	},
	lillipup: {
		randomBattleMoves: ["return", "wildcharge", "firefang", "crunch", "icefang"],
		tier: "LC",
	},
	herdier: {
		randomBattleMoves: ["return", "wildcharge", "firefang", "crunch", "icefang"],
		tier: "NFE",
	},
	stoutland: {
		randomBattleMoves: ["return", "wildcharge", "superpower", "crunch", "icefang"],
		tier: "NU",
	},
	purrloin: {
		inherit: true,
		randomBattleMoves: ["swagger", "thunderwave", "substitute", "foulplay"],
		tier: "LC",
	},
	liepard: {
		inherit: true,
		randomBattleMoves: ["swagger", "thunderwave", "substitute", "foulplay"],
		tier: "NU",
	},
	pansage: {
		inherit: true,
		randomBattleMoves: ["leafstorm", "hiddenpowerfire", "hiddenpowerice", "gigadrain", "nastyplot", "substitute", "leechseed"],
		tier: "LC",
	},
	simisage: {
		randomBattleMoves: ["nastyplot", "leafstorm", "hiddenpowerfire", "hiddenpowerice", "gigadrain", "focusblast", "substitute", "leechseed", "synthesis"],
		tier: "NU",
	},
	pansear: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "fireblast", "hiddenpowerelectric", "hiddenpowerground", "sunnyday", "solarbeam", "overheat"],
		tier: "LC",
	},
	simisear: {
		randomBattleMoves: ["nastyplot", "fireblast", "focusblast", "grassknot", "hiddenpowerground", "substitute", "flamethrower", "overheat"],
		tier: "NU",
	},
	panpour: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "hydropump", "hiddenpowergrass", "substitute", "surf", "icebeam"],
		tier: "LC",
	},
	simipour: {
		randomBattleMoves: ["nastyplot", "hydropump", "icebeam", "substitute", "grassknot", "surf"],
		tier: "NU",
	},
	munna: {
		randomBattleMoves: ["psychic", "hiddenpowerfighting", "hypnosis", "calmmind", "moonlight", "thunderwave", "batonpass", "psyshock", "healbell", "signalbeam"],
		tier: "LC",
	},
	musharna: {
		inherit: true,
		randomBattleMoves: ["calmmind", "thunderwave", "moonlight", "psychic", "hiddenpowerfighting", "batonpass", "psyshock", "healbell", "signalbeam"],
		tier: "NU",
	},
	pidove: {
		inherit: true,
		randomBattleMoves: ["pluck", "uturn", "return", "detect", "roost", "wish"],
		tier: "LC",
	},
	tranquill: {
		randomBattleMoves: ["pluck", "uturn", "return", "detect", "roost", "wish"],
		tier: "NFE",
	},
	unfezant: {
		randomBattleMoves: ["pluck", "uturn", "return", "detect", "roost", "wish"],
		tier: "NU",
	},
	blitzle: {
		randomBattleMoves: ["voltswitch", "hiddenpowergrass", "wildcharge", "mefirst"],
		tier: "LC",
	},
	zebstrika: {
		randomBattleMoves: ["voltswitch", "hiddenpowergrass", "overheat", "wildcharge"],
		tier: "NU",
	},
	roggenrola: {
		randomBattleMoves: ["autotomize", "stoneedge", "stealthrock", "rockblast", "earthquake", "explosion"],
		tier: "LC",
	},
	boldore: {
		randomBattleMoves: ["autotomize", "stoneedge", "stealthrock", "rockblast", "earthquake", "explosion"],
		tier: "NFE",
	},
	gigalith: {
		randomBattleMoves: ["stealthrock", "rockblast", "earthquake", "explosion", "stoneedge", "autotomize", "superpower"],
		tier: "NU",
	},
	woobat: {
		randomBattleMoves: ["calmmind", "psychic", "airslash", "gigadrain", "roost", "heatwave", "storedpower"],
		tier: "LC",
	},
	swoobat: {
		randomBattleMoves: ["calmmind", "psychic", "airslash", "gigadrain", "roost", "heatwave", "storedpower"],
		tier: "NU",
	},
	drilbur: {
		randomBattleMoves: ["swordsdance", "rapidspin", "earthquake", "rockslide", "shadowclaw", "return", "xscissor"],
		tier: "LC",
	},
	excadrill: {
		randomBattleMoves: ["swordsdance", "rapidspin", "earthquake", "rockslide", "ironhead"],
		tier: "OU",
	},
	audino: {
		inherit: true,
		randomBattleMoves: ["wish", "protect", "healbell", "toxic", "thunderwave", "reflect", "lightscreen", "return"],
		tier: "NU",
	},
	timburr: {
		randomBattleMoves: ["machpunch", "bulkup", "drainpunch", "icepunch"],
		tier: "LC",
	},
	gurdurr: {
		randomBattleMoves: ["bulkup", "machpunch", "drainpunch", "icepunch"],
		tier: "NU",
	},
	conkeldurr: {
		randomBattleMoves: ["bulkup", "machpunch", "drainpunch", "icepunch"],
		tier: "OU",
	},
	tympole: {
		randomBattleMoves: ["hydropump", "surf", "sludgewave", "earthpower", "hiddenpowerelectric"],
		tier: "LC",
	},
	palpitoad: {
		randomBattleMoves: ["hydropump", "surf", "sludgewave", "earthpower", "hiddenpowerelectric", "stealthrock"],
		tier: "NFE",
	},
	seismitoad: {
		randomBattleMoves: ["hydropump", "surf", "sludgewave", "earthpower", "hiddenpowerelectric", "stealthrock"],
		tier: "NU",
	},
	throh: {
		randomBattleMoves: ["bulkup", "circlethrow", "icepunch", "stormthrow", "rest", "sleeptalk"],
		tier: "NU",
	},
	sawk: {
		randomBattleMoves: ["closecombat", "earthquake", "icepunch", "stoneedge", "bulkup"],
		tier: "NU",
	},
	sewaddle: {
		randomBattleMoves: ["calmmind", "gigadrain", "bugbuzz", "hiddenpowerfire", "hiddenpowerice", "airslash"],
		tier: "LC",
	},
	swadloon: {
		randomBattleMoves: ["calmmind", "gigadrain", "bugbuzz", "hiddenpowerfire", "hiddenpowerice", "airslash"],
		tier: "NFE",
	},
	leavanny: {
		randomBattleMoves: ["swordsdance", "leafblade", "xscissor", "batonpass"],
		tier: "NU",
	},
	venipede: {
		randomBattleMoves: ["toxicspikes", "steamroller", "spikes", "poisonjab"],
		tier: "LC",
	},
	whirlipede: {
		randomBattleMoves: ["toxicspikes", "steamroller", "spikes", "poisonjab"],
		tier: "NU",
	},
	scolipede: {
		randomBattleMoves: ["spikes", "toxicspikes", "megahorn", "rockslide", "earthquake", "swordsdance", "batonpass", "aquatail", "superpower"],
		tier: "BL3",
	},
	cottonee: {
		randomBattleMoves: ["encore", "taunt", "substitute", "leechseed", "toxic", "stunspore"],
		tier: "LC",
	},
	whimsicott: {
		inherit: true,
		randomBattleMoves: ["encore", "taunt", "substitute", "leechseed", "uturn", "toxic", "stunspore"],
		tier: "RU",
	},
	petilil: {
		randomBattleMoves: ["sunnyday", "sleeppowder", "solarbeam", "hiddenpowerfire", "hiddenpowerice", "healingwish"],
		tier: "LC",
	},
	lilligant: {
		randomBattleMoves: ["quiverdance", "gigadrain", "sleeppowder", "hiddenpowerice", "hiddenpowerfire", "hiddenpowerrock", "petaldance"],
		tier: "RU",
	},
	basculin: {
		randomBattleMoves: ["waterfall", "aquajet", "superpower", "crunch"],
		tier: "NU",
	},
	basculinbluestriped: {
		randomBattleMoves: ["waterfall", "aquajet", "superpower", "crunch"],
		tier: "NU",
	},
	sandile: {
		randomBattleMoves: ["earthquake", "stoneedge", "pursuit", "crunch"],
		tier: "LC",
	},
	krokorok: {
		randomBattleMoves: ["earthquake", "stoneedge", "pursuit", "crunch"],
		tier: "NFE",
	},
	krookodile: {
		randomBattleMoves: ["earthquake", "stoneedge", "pursuit", "crunch", "bulkup", "superpower"],
		tier: "UU",
	},
	darumaka: {
		randomBattleMoves: ["uturn", "flareblitz", "firepunch", "rockslide", "superpower"],
		tier: "LC",
	},
	darmanitan: {
		inherit: true,
		randomBattleMoves: ["uturn", "flareblitz", "firepunch", "rockslide", "earthquake", "superpower"],
		tier: "UU",
	},
	maractus: {
		randomBattleMoves: ["spikes", "gigadrain", "leechseed", "hiddenpowerfire", "toxic"],
		tier: "NU",
	},
	dwebble: {
		randomBattleMoves: ["stealthrock", "spikes", "shellsmash", "earthquake", "rockblast", "xscissor", "stoneedge"],
		tier: "LC",
	},
	crustle: {
		randomBattleMoves: ["stealthrock", "spikes", "shellsmash", "earthquake", "rockblast", "xscissor", "stoneedge"],
		tier: "RU",
	},
	scraggy: {
		inherit: true,
		randomBattleMoves: ["dragondance", "icepunch", "highjumpkick", "drainpunch", "rest", "bulkup", "crunch"],
		tier: "LC Uber",
	},
	scrafty: {
		inherit: true,
		randomBattleMoves: ["dragondance", "icepunch", "highjumpkick", "drainpunch", "rest", "bulkup", "crunch"],
		tier: "UU",
	},
	sigilyph: {
		randomBattleMoves: ["cosmicpower", "roost", "storedpower", "psychoshift"],
		tier: "RU",
	},
	yamask: {
		randomBattleMoves: ["nastyplot", "trickroom", "shadowball", "hiddenpowerfighting", "willowisp", "haze", "rest", "sleeptalk", "painsplit"],
		tier: "LC",
	},
	cofagrigus: {
		randomBattleMoves: ["nastyplot", "trickroom", "shadowball", "hiddenpowerfighting", "willowisp", "haze", "rest", "sleeptalk", "painsplit"],
		tier: "UU",
	},
	tirtouga: {
		inherit: true,
		randomBattleMoves: ["shellsmash", "aquajet", "waterfall", "stoneedge", "earthquake", "stealthrock"],
		tier: "LC",
	},
	carracosta: {
		randomBattleMoves: ["shellsmash", "aquajet", "waterfall", "stoneedge", "earthquake", "stealthrock"],
		tier: "NU",
	},
	archen: {
		inherit: true,
		randomBattleMoves: ["acrobatics", "stoneedge", "rockslide", "earthquake", "uturn", "pluck", "headsmash"],
		tier: "LC",
	},
	archeops: {
		randomBattleMoves: ["acrobatics", "stoneedge", "rockslide", "earthquake", "uturn", "pluck", "headsmash"],
		tier: "RU",
	},
	trubbish: {
		randomBattleMoves: ["clearsmog", "toxicspikes", "spikes", "gunkshot"],
		tier: "LC",
	},
	garbodor: {
		randomBattleMoves: ["spikes", "toxicspikes", "gunkshot", "clearsmog"],
		tier: "NU",
	},
	zorua: {
		randomBattleMoves: ["suckerpunch", "extrasensory", "darkpulse", "hiddenpowerfighting", "uturn"],
		tier: "LC",
	},
	zoroark: {
		inherit: true,
		randomBattleMoves: ["suckerpunch", "darkpulse", "focusblast", "flamethrower", "uturn", "nastyplot"],
		tier: "UU",
	},
	minccino: {
		randomBattleMoves: ["return", "tailslap", "wakeupslap", "uturn", "aquatail"],
		tier: "LC",
	},
	cinccino: {
		randomBattleMoves: ["return", "tailslap", "wakeupslap", "uturn", "aquatail", "bulletseed", "rockblast"],
		tier: "RU",
	},
	gothita: {
		randomBattleMoves: ["psychic", "thunderbolt", "hiddenpowerfighting", "shadowball", "substitute", "calmmind", "reflect", "lightscreen", "trick"],
		tier: "LC",
	},
	gothorita: {
		inherit: true,
		randomBattleMoves: ["psychic", "thunderbolt", "hiddenpowerfighting", "shadowball", "substitute", "calmmind", "reflect", "lightscreen", "trick"],
		maleOnlyHidden: true,
		tier: "NFE",
	},
	gothitelle: {
		randomBattleMoves: ["psychic", "thunderbolt", "hiddenpowerfighting", "shadowball", "substitute", "calmmind", "reflect", "lightscreen", "trick"],
		maleOnlyHidden: true,
		tier: "BL",
	},
	solosis: {
		randomBattleMoves: ["calmmind", "recover", "psychic", "hiddenpowerfighting", "shadowball", "trickroom", "psyshock"],
		tier: "LC",
	},
	duosion: {
		randomBattleMoves: ["calmmind", "recover", "psychic", "hiddenpowerfighting", "shadowball", "trickroom", "psyshock"],
		tier: "NFE",
	},
	reuniclus: {
		randomBattleMoves: ["calmmind", "recover", "psychic", "focusblast", "shadowball", "trickroom", "psyshock"],
		tier: "OU",
	},
	ducklett: {
		randomBattleMoves: ["scald", "airslash", "roost", "hurricane", "icebeam", "hiddenpowergrass", "bravebird"],
		tier: "LC",
	},
	swanna: {
		randomBattleMoves: ["airslash", "roost", "hurricane", "surf", "icebeam", "raindance"],
		tier: "NU",
	},
	vanillite: {
		randomBattleMoves: ["icebeam", "explosion", "hiddenpowerelectric", "hiddenpowerfighting", "autotomize"],
		tier: "LC",
	},
	vanillish: {
		randomBattleMoves: ["icebeam", "explosion", "hiddenpowerelectric", "hiddenpowerfighting", "autotomize"],
		tier: "NFE",
	},
	vanilluxe: {
		randomBattleMoves: ["icebeam", "explosion", "hiddenpowerelectric", "hiddenpowerfighting", "autotomize"],
		tier: "NU",
	},
	deerling: {
		inherit: true,
		randomBattleMoves: ["workup", "agility", "batonpass", "seedbomb", "jumpkick", "naturepower", "synthesis", "return", "thunderwave"],
		tier: "LC",
	},
	sawsbuck: {
		randomBattleMoves: ["swordsdance", "hornleech", "jumpkick", "naturepower", "return", "substitute", "synthesis", "batonpass"],
		tier: "NU",
	},
	emolga: {
		randomBattleMoves: ["agility", "chargebeam", "batonpass", "substitute", "thunderbolt", "airslash", "roost"],
		tier: "NU",
	},
	karrablast: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "megahorn", "return", "substitute"],
		tier: "LC",
	},
	escavalier: {
		randomBattleMoves: ["megahorn", "pursuit", "ironhead", "knockoff", "return", "swordsdance"],
		tier: "RU",
	},
	foongus: {
		randomBattleMoves: ["spore", "stunspore", "gigadrain", "clearsmog", "hiddenpowerfire", "synthesis"],
		tier: "LC",
	},
	amoonguss: {
		randomBattleMoves: ["spore", "stunspore", "gigadrain", "clearsmog", "hiddenpowerfire", "synthesis"],
		tier: "RU",
	},
	frillish: {
		randomBattleMoves: ["scald", "willowisp", "recover", "toxic", "shadowball"],
		tier: "LC",
	},
	jellicent: {
		inherit: true,
		randomBattleMoves: ["scald", "willowisp", "recover", "toxic", "shadowball", "icebeam", "gigadrain"],
		tier: "OU",
	},
	alomomola: {
		randomBattleMoves: ["wish", "protect", "waterfall", "toxic", "scald"],
		tier: "NU",
	},
	joltik: {
		randomBattleMoves: ["thunderbolt", "bugbuzz", "hiddenpowerice", "gigadrain", "voltswitch"],
		tier: "LC",
	},
	galvantula: {
		randomBattleMoves: ["thunder", "hiddenpowerice", "gigadrain", "bugbuzz", "voltswitch"],
		tier: "RU",
	},
	ferroseed: {
		randomBattleMoves: ["spikes", "stealthrock", "leechseed", "seedbomb", "protect", "thunderwave", "gyroball"],
		tier: "RU",
	},
	ferrothorn: {
		randomBattleMoves: ["spikes", "stealthrock", "leechseed", "powerwhip", "thunderwave", "protect"],
		tier: "OU",
	},
	klink: {
		randomBattleMoves: ["shiftgear", "return", "geargrind", "wildcharge"],
		tier: "LC",
	},
	klang: {
		randomBattleMoves: ["shiftgear", "return", "geargrind", "wildcharge"],
		tier: "NFE",
	},
	klinklang: {
		randomBattleMoves: ["shiftgear", "return", "geargrind", "wildcharge"],
		tier: "RU",
	},
	tynamo: {
		randomBattleMoves: ["spark", "chargebeam", "thunderwave", "tackle"],
		tier: "LC",
	},
	eelektrik: {
		randomBattleMoves: ["uturn", "voltswitch", "acidspray", "wildcharge", "thunderbolt", "gigadrain", "aquatail", "coil"],
		tier: "NFE",
	},
	eelektross: {
		randomBattleMoves: ["thunderbolt", "flamethrower", "uturn", "voltswitch", "acidspray", "wildcharge", "drainpunch", "discharge", "superpower", "thunderpunch", "gigadrain", "aquatail", "coil"],
		tier: "NU",
	},
	elgyem: {
		randomBattleMoves: ["nastyplot", "psychic", "thunderbolt", "hiddenpowerfighting", "substitute", "calmmind", "recover", "trick"],
		tier: "LC",
	},
	beheeyem: {
		randomBattleMoves: ["nastyplot", "psychic", "thunderbolt", "hiddenpowerfighting", "substitute", "calmmind", "recover", "trick"],
		tier: "NU",
	},
	litwick: {
		randomBattleMoves: ["calmmind", "shadowball", "energyball", "fireblast", "overheat", "hiddenpowerfighting", "hiddenpowerground", "hiddenpowerrock", "trick"],
		tier: "LC",
	},
	lampent: {
		randomBattleMoves: ["calmmind", "shadowball", "energyball", "fireblast", "overheat", "hiddenpowerfighting", "hiddenpowerground", "hiddenpowerrock", "trick"],
		tier: "NU",
	},
	chandelure: {
		inherit: true,
		randomBattleMoves: ["shadowball", "energyball", "fireblast", "overheat", "hiddenpowerfighting", "hiddenpowerground", "hiddenpowerrock", "trick", "substitute", "painsplit"],
		tier: "BL",
	},
	axew: {
		inherit: true,
		randomBattleMoves: ["dragondance", "outrage", "dragonclaw", "swordsdance", "aquatail", "superpower"],
		tier: "LC",
	},
	fraxure: {
		randomBattleMoves: ["dragondance", "swordsdance", "outrage", "dragonclaw", "aquatail", "superpower"],
		tier: "NU",
	},
	haxorus: {
		inherit: true,
		randomBattleMoves: ["dragondance", "swordsdance", "outrage", "dragonclaw", "earthquake", "aquatail", "superpower"],
		tier: "OU",
	},
	cubchoo: {
		inherit: true,
		randomBattleMoves: ["icebeam", "surf", "hiddenpowergrass", "superpower"],
		tier: "LC",
	},
	beartic: {
		randomBattleMoves: ["iciclecrash", "superpower", "nightslash", "stoneedge", "swordsdance", "aquajet"],
		tier: "NU",
	},
	cryogonal: {
		randomBattleMoves: ["icebeam", "recover", "toxic", "rapidspin", "reflect"],
		tier: "RU",
	},
	shelmet: {
		inherit: true,
		randomBattleMoves: ["spikes", "yawn", "substitute", "acidarmor", "batonpass", "recover", "toxic", "bugbuzz"],
		tier: "LC",
	},
	accelgor: {
		randomBattleMoves: ["spikes", "yawn", "bugbuzz", "focusblast", "gigadrain", "hiddenpowerrock", "encore"],
		tier: "RU",
	},
	stunfisk: {
		randomBattleMoves: ["discharge", "thunderbolt", "earthpower", "scald", "toxic", "rest", "sleeptalk", "stealthrock"],
		tier: "NU",
	},
	mienfoo: {
		randomBattleMoves: ["uturn", "drainpunch", "stoneedge", "swordsdance", "batonpass", "highjumpkick", "fakeout"],
		tier: "LC",
	},
	mienshao: {
		randomBattleMoves: ["uturn", "fakeout", "highjumpkick", "stoneedge", "drainpunch", "swordsdance", "batonpass"],
		tier: "UU",
	},
	druddigon: {
		inherit: true,
		randomBattleMoves: ["outrage", "superpower", "earthquake", "suckerpunch", "dragonclaw", "dragontail", "substitute", "glare", "stealthrock", "firepunch", "thunderpunch"],
		tier: "RU",
	},
	golett: {
		randomBattleMoves: ["earthquake", "shadowpunch", "dynamicpunch", "icepunch", "stealthrock"],
		tier: "LC",
	},
	golurk: {
		inherit: true,
		randomBattleMoves: ["earthquake", "shadowpunch", "dynamicpunch", "icepunch", "stoneedge", "stealthrock"],
		tier: "NU",
	},
	pawniard: {
		randomBattleMoves: ["swordsdance", "substitute", "suckerpunch", "ironhead", "brickbreak", "nightslash"],
		tier: "LC",
	},
	bisharp: {
		randomBattleMoves: ["swordsdance", "substitute", "suckerpunch", "ironhead", "brickbreak", "nightslash"],
		tier: "UU",
	},
	bouffalant: {
		randomBattleMoves: ["headcharge", "earthquake", "stoneedge", "megahorn", "swordsdance", "superpower"],
		tier: "RU",
	},
	rufflet: {
		randomBattleMoves: ["bravebird", "rockslide", "return", "uturn", "substitute", "bulkup", "roost"],
		tier: "LC",
	},
	braviary: {
		inherit: true,
		randomBattleMoves: ["bravebird", "superpower", "return", "uturn", "substitute", "rockslide", "bulkup", "roost"],
		tier: "NU",
	},
	vullaby: {
		randomBattleMoves: ["knockoff", "roost", "taunt", "whirlwind", "toxic", "darkpulse", "uturn", "bravebird"],
		tier: "LC",
	},
	mandibuzz: {
		inherit: true,
		randomBattleMoves: ["knockoff", "roost", "taunt", "whirlwind", "toxic", "uturn", "bravebird", "darkpulse"],
		tier: "NU",
	},
	heatmor: {
		randomBattleMoves: ["fireblast", "suckerpunch", "focusblast", "gigadrain"],
		tier: "NU",
	},
	durant: {
		randomBattleMoves: ["honeclaws", "ironhead", "xscissor", "stoneedge", "batonpass", "superpower"],
		tier: "RU",
	},
	deino: {
		inherit: true,
		randomBattleMoves: ["outrage", "crunch", "firefang", "dragontail", "thunderwave", "superpower"],
		tier: "LC",
	},
	zweilous: {
		randomBattleMoves: ["outrage", "crunch", "firefang", "dragontail", "thunderwave", "superpower"],
		tier: "NU",
	},
	hydreigon: {
		inherit: true,
		randomBattleMoves: ["uturn", "dracometeor", "substitute", "dragonpulse", "focusblast", "fireblast", "surf", "darkpulse", "roost"],
		tier: "OU",
	},
	larvesta: {
		randomBattleMoves: ["flareblitz", "uturn", "wildcharge", "zenheadbutt", "morningsun", "willowisp"],
		tier: "LC",
	},
	volcarona: {
		inherit: true,
		randomBattleMoves: ["quiverdance", "fierydance", "fireblast", "bugbuzz", "roost", "gigadrain"],
		tier: "OU",
	},
	cobalion: {
		inherit: true,
		randomBattleMoves: ["closecombat", "ironhead", "swordsdance", "substitute", "stoneedge", "voltswitch", "hiddenpowerice", "thunderwave", "stealthrock"],
		tier: "UU",
	},
	terrakion: {
		inherit: true,
		randomBattleMoves: ["stoneedge", "closecombat", "swordsdance", "rockpolish", "substitute", "stealthrock"],
		tier: "OU",
	},
	virizion: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "calmmind", "closecombat", "focusblast", "hiddenpowerice", "stoneedge", "leafblade", "gigadrain", "substitute", "synthesis"],
		tier: "UU",
	},
	tornadus: {
		inherit: true,
		randomBattleMoves: ["hurricane", "airslash", "uturn", "bulkup", "acrobatics", "superpower", "focusblast", "taunt", "substitute", "heatwave"],
		tier: "UU",
	},
	tornadustherian: {
		randomBattleMoves: ["hurricane", "airslash", "focusblast", "uturn", "heatwave"],
		eventOnly: true,
		tier: "Uber",
	},
	thundurus: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "nastyplot", "thunderbolt", "hiddenpowerice", "focusblast", "grassknot", "substitute"],
		tier: "Uber",
	},
	thundurustherian: {
		randomBattleMoves: ["nastyplot", "agility", "thunderbolt", "hiddenpowerice", "focusblast", "grassknot"],
		eventOnly: true,
		tier: "OU",
	},
	reshiram: {
		inherit: true,
		randomBattleMoves: ["blueflare", "dracometeor", "dragonpulse", "flamethrower", "flamecharge", "roost"],
		tier: "Uber",
	},
	zekrom: {
		inherit: true,
		randomBattleMoves: ["voltswitch", "outrage", "dragonclaw", "boltstrike", "honeclaws", "substitute", "dracometeor", "fusionbolt", "roost"],
		tier: "Uber",
	},
	landorus: {
		inherit: true,
		randomBattleMoves: ["earthpower", "focusblast", "rockpolish", "hiddenpowerice", "psychic"],
		tier: "Uber",
	},
	landorustherian: {
		randomBattleMoves: ["rockpolish", "earthquake", "stoneedge", "uturn", "superpower", "stealthrock"],
		eventOnly: true,
		tier: "OU",
	},
	kyurem: {
		inherit: true,
		randomBattleMoves: ["substitute", "icebeam", "dracometeor", "dragonpulse", "focusblast", "outrage", "earthpower", "roost"],
		tier: "BL",
	},
	kyuremblack: {
		inherit: true,
		randomBattleMoves: ["outrage", "fusionbolt", "icebeam", "roost"],
		tier: "OU",
	},
	kyuremwhite: {
		inherit: true,
		randomBattleMoves: ["dracometeor", "dragonpulse", "icebeam", "fusionflare", "earthpower", "focusblast", "roost"],
		tier: "Uber",
	},
	keldeo: {
		inherit: true,
		randomBattleMoves: ["hydropump", "secretsword", "calmmind", "hiddenpowerghost", "hiddenpowerelectric", "substitute", "surf"],
		tier: "OU",
	},
	meloetta: {
		inherit: true,
		randomBattleMoves: ["relicsong", "closecombat", "calmmind", "psychic", "thunderbolt", "hypervoice", "uturn"],
		tier: "UU",
	},
	genesect: {
		inherit: true,
		randomBattleMoves: ["uturn", "bugbuzz", "icebeam", "flamethrower", "thunderbolt"],
		tier: "Uber",
	},
	genesectburn: {
		eventOnly: true,
		requiredItem: "Burn Drive",
	},
	genesectchill: {
		eventOnly: true,
		requiredItem: "Chill Drive",
	},
	genesectdouse: {
		eventOnly: true,
		requiredItem: "Douse Drive",
	},
	genesectshock: {
		eventOnly: true,
		requiredItem: "Shock Drive",
	},
};
